2011-10-13	adirks
	* Скрипты/Навигация/NavigationTools.vbs 1.28:
		[-] ошибка в GetActiveCtrlIdentifier()  если окно - не дерево метаданных

	* Скрипты/Навигация/Навигация.vbs 1.54:
		*** empty log message ***

2011-10-12	adirks
	* Скрипты/Навигация/Навигация.vbs 1.53:
		[+] задействован метод GotoControlWithFormula() из NavigationTools

	* Скрипты/Навигация/NavigationTools.vbs 1.27:
		[*] GoToFormula()  понимает формулы вида  Объект.Метод()
		[*] GotoControlWithFormula() переделано в функцию, с целью вызова из других скриптов

2011-07-26	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.74:
		[*] при наличии каталога Intell в каталоге базы файлы *.ints для классов будут 
		создаваться там, а не в общей папке

	* Скрипты/Intellisence/Intellisence.vbs 1.75:
		[*] если в .ini - файле нет строки "TELEPAT = ДА"  то не будет обрабатываться 
		событие OnShowMemberList - т.е. не выведется список методов при нажатии '.'. 
		Нужно для совместной работы с другими интеллисенсами

2011-03-05	adirks
	* Скрипты/Разное/ShowClassInfo.js 1.2:
		[+] возможность перехода в модуль выбранного родителя/потомка

	* Скрипты/Разное/ShowClassInfo.js 1.1:
		[+] показывает информацию о классе: базовые классы; производные классы

2010-11-15	adirks
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.24:
		[-] В путях надо '\\'  заменять на '\'

2009-11-19	adirks
	* СистемныеФайлы/1CLangParser/CommonFunctions.cpp 1.5:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.9:
	* СистемныеФайлы/1CLangParser/parser.h 1.7:
		[*] отладочный код

	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.12:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.8:
		[-] устранена утечка памяти

2008-10-21	fez
	* ВспомогательныеДанные/Intell/СписокЗначений.ints 1.2:
		Поправил запяточки для методов списка значений

2008-10-21	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.73:
		Возвращен коммит 1.69 - Был неверный коммит 1.70, удаливший 1.69 :(
		[+] В списке объектов, показываемом при наборе СоздатьОбъект,
		добавлены названия ВК из названий файлов вида AddIn.*.ints в папке Config\Intell

	* Скрипты/Intellisence/Intellisence.vbs 1.72:
		[bug 4233]
		[+] Intellisence: Справочник.Новый() с автозаполнением. Добавлена вставка атрибутов .Владелец и .Родитель.

	* Скрипты/Intellisence/Intellisence.vbs 1.71:
		[bug 4232]
		[+] Intellisence::Update1CppInts - при завершении работы скрипта в строку состояния пишется классическое 1С-вое "Для получения подсказки нажмите F1",
		а не имя последнего файла

2008-10-20	artbear
	* Скрипты/Навигация/Навигация.vbs 1.52:
		[*] небольшие правки по макросам выборки классов 1С++ или файлов определений

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.23:
		[bug 4230]
		[+] Анализатор классов 1С++ научился понимать символы //# формата файлов defcls и прочих определений классов
		[-] исправлен баг - не удавалось открыть формы классов-обработок внутри конфы

2008-10-17	artbear
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.21:
	* Скрипты/Навигация/Навигация.vbs 1.51:
		[+] в макрос Навигация добавлены 2 удобных макроса для работы с классами 1С++
		1. SelectAndNavigateToDefFiles:
		    получение списка всех файлов/обработок 1С++ с определениями классов, выбор из списка и открытие файла определения
		2. SelectAndNavigateToDefFileFromClassName:
		    получение списка всех классов 1С++, выбор класса из списка и открытие файла определения класса
		    после успешного открытия файла определения класса курсор позиционируется на строке определения выбранного класса
		[+] Макрос Навигация::SelectAndNavigateToClasses научилсяч открывать классы, реализованные как встроенные обработки конфигурации
		[+] Макрос Навигация::SelectAndNavigateToClasses- ускорение работы

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.22:
		[+] Макрос Intellisence.vbs::Update1CppInts
		научился работать с классами, определенными как встроенные обработки внутри конфигурации

2008-08-25	artbear
	* Скрипты/Навигация/Навигация.vbs 1.50:
		[+] научились работать с путями файлов в кавычках типа "ExtForms\Папка\ИмяФайл"
		[+] исключение ошибок при работе не в текстовых окнах

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.20:
		[+] если указан относительный путь к файлу класса, поведение как у 1С++ :
		сначала ищем путь относительно каталога ИБ, а затем относительно текущего prm-файла
		[+] научились работать с путями к файлам классов, обрамленных кавычками - как и в 1С++

2008-07-22	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.70:
		[bug 3889]
		[+] Интелл научился правильно понимать предопределенные функции КОП вирт() и я()
		[+] Интелл научился понимать названия объектов ВК, заданных в файлах типа Addin.ОбъектВК.ints

2008-07-20	alest
	* СистемныеФайлы/svcsvc.dll 1.13:
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.10:
		 + Первый пункт списка выделяем, если до этого не был выделен другой

2008-04-15	adirks
	* СистемныеФайлы/OpenIn1C.exe 1.11:
	* СистемныеФайлы/OpenIn1C/1C_RunFromRegistry.cpp 1.2:
	* СистемныеФайлы/OpenIn1Cv8.exe 1.2:
		[+] поиск exe-файла по информации из registry

	* СистемныеФайлы/OpenIn1C/Makefile 1.5:
		[+] отдельная сборка для версии 1С 8.х

2008-02-11	artbear
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.7:
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.8:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.dsw 1.2:
	* СистемныеФайлы/OpenIn1C/OpenIn1Cv8.dsp 1.1:
	* СистемныеФайлы/OpenIn1Cv8.exe 1.1:
		[+] возможность работы с 1С версии 8, 8.1, 8.2 - т.е. открытие внешних файлов в 
		режиме Конфигуратора/Предприятия

2008-01-18	adirks
	* СистемныеФайлы/OpenIn1C.exe 1.10:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.8:
		[-] ошибка при запуске 1С

2008-01-09	adirks
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.7:
		[+] информационная строка внизу, и реклама www.1cpp.ru

	* СистемныеФайлы/OpenIn1C.exe 1.9:
		[*] бинарная версия приведена в соответствие с исходниками

2008-01-08	adirks
	* СистемныеФайлы/OpenIn1C/1C_RunFromRegistry.cpp 1.1:
	* СистемныеФайлы/OpenIn1C/Makefile 1.4:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.6:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.dsp 1.4:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.h 1.5:
		[+] если нет ни одного процесса 1С в памяти, то сканируется реестр, и выдаётся 
		список баз для запуска

	* СистемныеФайлы/Register_OpenIn1C.vbs 1.2:
		[*] регистрация OpenIn1C  для расширения .mxl

	* СистемныеФайлы/OpenIn1C/ReadMe.txt 1.1:
		[+] краткое описание

	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.7:
		[-] при старте процесса окно создаётся с некоторой задержкой, и это нужно учиты
		вать

2007-12-01	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.69:
		[+] В списке объектов, показываемом при наборе СоздатьОбъект,
		добавлены названия ВК из названий файлов вида AddIn.*.ints в папке Config\Intell

2007-07-01	artbear
	* ВспомогательныеДанные/Intell/Информатор.ints 1.2:
	* ВспомогательныеДанные/Intell/Перехватчик.ints 1.2:
		[+] более точное определение методов встроенных классов 1С++
		"Перехватчик" и "Информатор"

2007-05-31	adirks
	* Скрипты/Редактирование/code_beautifier.pl 1.7:
		[-] если в строке встречались символы // то это воспринималось как комментарий, 
		что есть неправильно.

2007-04-17	adirks
	* Скрипты/MD_Tasks/ОбъединениеМД.vbs 1.6:
		[+] декомпиляция/компиляция внешних отчётов

2007-04-14	alest
	* Скрипты/ВерсионныйКонтроль/svngcomp.js 1.2:
		+ Возможность декомпилировать ert
		+ декомпиляция объекта из окна документа, справочника, журнала

2007-04-11	alest
	* Скрипты/Intellisence/SQLIntellisence.vbs 1.10:
		+ Изменения автора вплоть до версии 1.10

2007-04-10	alest
	* Скрипты/ВерсионныйКонтроль/svngcomp.js 1.1:
		Скрипт для работы с gcomp+svn
		
		+декомпилирует всю конфу, если нет активного окна, или запуск из окна конфигурации или текущий объект

2007-02-20	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.19:
		[*] если plugin не загружен, то скрипт и не пытается к нему обратиться

	* СистемныеФайлы/1CLangParser/lexer_1c.cpp 1.5:
		[-] Memory exception на модулях, последняя строка которых является комментарием

2007-02-15	artbear
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.14:
	* Скрипты/Intellisence/dots.vbs 1.16:
		[*] вернул dots.vbs

2007-02-13	metaeditor
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.9:
		[-]диалог "прыгал" по экрану если седьмой параметр (высота)
		  выходил за границы экрана

	* СистемныеФайлы/svcsvc.dll 1.12:
		[-]поправлено прыганье диалога если седьмой параметр (высота)
		  выходил за границы экрана

2007-02-01	kms
	* СистемныеФайлы/svcsvc.dll 1.11:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.7:
		[*] Нюансы нумерации...

2007-01-31	kms
	* СистемныеФайлы/svcsvc.dll 1.9:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.6:
		[*] Изменена нумерация версий (1000010)

	* СистемныеФайлы/svcsvc.dll 1.10:
	* СистемныеФайлы/svcsvc/Service.cpp 1.8:
		[*] Изменена нумерация версий (1010)

2007-01-30	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.11:
		[-] исправлена ещё одна ситуация падения plugin'а вместе с конфигуратором

2007-01-28	kms
	* СистемныеФайлы/svcsvc.dll 1.8:
		[*] внесены изменения версий 1010

	* СистемныеФайлы/svcsvc/Service.cpp 1.7:
	* СистемныеФайлы/svcsvc/readme.txt 1.9:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.5:
		[*] Получение номера версии сделано автоматически из ресурсов модуля

	* СистемныеФайлы/svcsvc/svcsvc.dsp 1.6:
		[*] в проект добавлен линк к version.lib

	* СистемныеФайлы/svcsvc.dll 1.7:
	* СистемныеФайлы/svcsvc.txt 1.5:
		[*] внесены изменения версий 1009, 1010

2007-01-26	kms
	* СистемныеФайлы/svcsvc/Service.cpp 1.6:
	* СистемныеФайлы/svcsvc/readme.txt 1.8:
		[-] (metaeditor) SelectFile: снято ограничение на количество выбираемых файлов

2007-01-25	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.18:
		[*] Ещё один выриант вставки выбранного метода

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.14:
		[-] вылет 1С при попытке узнать тип переменной

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.17:
		[*] при вставке выбранного текста то, что справа от курсора не удаляется. Если 
		вставляется метод, то курсор ставится внутрь скобок.

2007-01-25	artbear
	* Скрипты/Intellisence/dots.vbs 1.15:
		[*] данный скрипт устарел и поэтому удаляется

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.13:
		[-] устранена поддержка удаленного скрипта dots

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.19:
	* Скрипты/Навигация/Навигация.vbs 1.49:
		[+] значительно ускорен поиск данных класса по пути к файлу реализации;
		[+] заголовок любой открытой формы реализации класса теперь имеет вид "класс ИмяКласса",
		а не полный путь к файлу реализации или встроенной обработке
		[*] рефакторинг

2007-01-24	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.16:
		[+] используем новую фичу svcsvc - показывем картинки по возможности

2007-01-24	artbear
	* Скрипты/Навигация/NavigationTools.vbs 1.26:
		[-] при показе списка для выбора сортировка не нужна

	* СистемныеФайлы/CommonServices.wsc 1.45:
		[*] попытка решить периодически возникающий баг с неверным значением переменной i
		и остановкой скрипта

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.18:
		[*] инфа о версии

2007-01-23	kms
	* Скрипты/Intellisence/Intellisence.vbs 1.68:
		[*] Возможность отображения пиктограмм при использовании svcsvc (как в 
		SelectDialog)

	* СистемныеФайлы/svcsvc.dll 1.6:
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.8:
	* СистемныеФайлы/svcsvc/readme.txt 1.7:
		[-] Устранен нежелательный селект текста при вызове FilterValue с флагом 32

2007-01-23	artbear
	* Скрипты/Навигация/Навигация.vbs 1.48:
		[-] баг - при открытии окна или переключении на другое окно были очень сильные 
		тормоза :(

2007-01-23	adirks
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.7:
	* СистемныеФайлы/svcsvc/FilterDlg.h 1.6:
	* СистемныеФайлы/svcsvc/Service.cpp 1.5:
	* СистемныеФайлы/svcsvc/Service.h 1.3:
	* СистемныеФайлы/svcsvc/readme.txt 1.6:
	* СистемныеФайлы/svcsvc/svcsvc.dsp 1.5:
	* СистемныеФайлы/svcsvc/svcsvc.h 1.5:
	* СистемныеФайлы/svcsvc/svcsvc.idl 1.3:
		[+] by kms: Добавлен метод SetImageList для задания произвольного списка 
		пиктограмм. Формат задания пиктограмм: строка с путями к пиктограммам, по одному 
		на каждой строке.

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.15:
		[*] распознавание явной типизации конструкциями вида:
		//ТЗ//:ТаблицаЗначений

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.13:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.11:
		[*] разное поведение в зависимости от размера модуля

2007-01-22	adirks
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.5:
	* СистемныеФайлы/svcsvc/FilterDlg.h 1.5:
	* СистемныеФайлы/svcsvc/Service.cpp 1.4:
	* СистемныеФайлы/svcsvc/StdAfx.h 1.2:
	* СистемныеФайлы/svcsvc/ico1.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico10.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico2.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico3.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico4.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico5.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico6.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico7.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico8.bmp 1.1:
	* СистемныеФайлы/svcsvc/ico9.bmp 1.1:
	* СистемныеФайлы/svcsvc/readme.txt 1.4:
	* СистемныеФайлы/svcsvc/resource.h 1.3:
	* СистемныеФайлы/svcsvc/svcsvc.clw 1.3:
	* СистемныеФайлы/svcsvc/svcsvc.dsp 1.4:
	* СистемныеФайлы/svcsvc/svcsvc.h 1.4:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.4:
		Версия 1.0.0.8 (kms)
		[+] Сортировка списка фильтра значений (FilterValue, флаг 256)
		[+] Автоширина списка фильтра значений (FilterValue, флаг 512)
		[+] Добавлены пиктограммы из SelectDlg для отображения в списках
		[-] Указание флага FilterValue 16 больше не препятствует возврату дополнительных значений (заданных через разделитель "|" в списке)
		[-] Устранена потеря GDI объектов при каждом вызове FilterValue

	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.6:
		[-] удалён комментарий, который мог вызвать проблемы обратной совместимости

	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.4:
	* СистемныеФайлы/svcsvc/FilterDlg.h 1.4:
	* СистемныеФайлы/svcsvc/Service.cpp 1.3:
	* СистемныеФайлы/svcsvc/readme.txt 1.3:
	* СистемныеФайлы/svcsvc/svcsvc.aps 1.3:
	* СистемныеФайлы/svcsvc/svcsvc.dsp 1.3:
	* СистемныеФайлы/svcsvc/svcsvc.h 1.3:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.3:
		[*] версия 1.0.0.6. Исправления от metaeditor'а.

2007-01-22	artbear
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.14:
		[+] инфа о версии

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.13:
	* СистемныеФайлы/CommonServices.wsc 1.44:
	* СистемныеФайлы/Templates.wsc 1.3:
	* СистемныеФайлы/svcsvc.dll 1.5:
	* СистемныеФайлы/svcsvc.txt 1.3:
	* СистемныеФайлы/svcsvc/readme.txt 1.5:
	* Скрипты/Intellisence/Intellisence.vbs 1.67:
	* Скрипты/Навигация/NavigationTools.vbs 1.25:
	* Скрипты/Навигация/Выбрать из списка.vbs 1.4:
		[+] новая версия svcsvc.dll - добавлены флаги
		256 - Сортировка
		512 - автоширина

	* Скрипты/Навигация/Навигация.vbs 1.47:
		[-] временно отключена правка заголовка текущего окна,
		которое могло тормозить Конфигуратор

2007-01-20	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.10:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.12:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.dsp 1.4:
	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.8:
	* СистемныеФайлы/1CLangParser/lang1c.y 1.7:
	* СистемныеФайлы/1CLangParser/parser_test.cpp 1.6:
		[-] исправлены некоторые ситуации, приводившие к падению конфигуратора

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.12:
		[-] неверно определялся тип переменной

2007-01-15	artbear
	* СистемныеФайлы/svcsvc.dll 1.4:
		[-] metaeditor - поправлен баг, компонента не работала со списками быстрого вы
		бора

2006-12-22	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.11:
		[-] пара мелких ошибок

2006-12-04	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.11:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.10:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.10:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.9:
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.10:
		[-] попытка устранить утечки памяти

2006-12-01	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.9:
		[*] проверка на нулевой указатель

	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/1С++/1С++.ints 1.1:
		[+] азовые методы всех классов

2006-11-30	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.9:
		[*] более тщательный разбор выражения под курсором

2006-11-29	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.7:
		[+] анализ переменных с явно указанным типом. Конструкции типа:
		Перем оДок; //:ТДокумент

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.17:
		[-] при разборе выражений терялись разделители и операторы

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.8:
		[*] более тщательный разбор выражения под курсором

2006-11-28	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.10:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.9:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.9:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.8:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.9:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.8:
		[*] тип может иметь несколько базовых типов

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.6:
		[+] генерация ints файлов в видоизменённом формате (с указанием базовых классов)

2006-11-27	adirks
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.8:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.7:
		[+] возможность задавать базовый тип (только один)

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.5:
		[*] при инициализации контекста формы учитывается, что для таблицы значений и 
		списка значений тип определяется классом контрола (TABLE, LISTBOX, COMBOBOX)

	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.7:
	* СистемныеФайлы/1CLangParser/lang1c.y 1.6:
		[*] конструкции вида  Имя.Если   считаются неправильными - иначе никакой error 
		recovery не спасает

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.4:
		[+] предварительная настройка локального контекста по атрибутам формы

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.9:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.8:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.8:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.7:
		[+] методы для предварительной настройки локального контекста

	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ODBCDataProvider.MSSQL.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/КолонкаТабличногоПоля.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/КолонкиТабличногоПоля.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/Метаданные.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеВидРасчета.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеГрафаОтбора.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеГруппаРасчетов.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеДокумент.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеДокументРеквизит.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеЖурнал.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеЖурналГрафа.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеЖурналГрафаСсылки.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеЖурналСостав.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеПеречисление.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеРегистр.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/МетаданныеСправочник.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ОформлениеСтроки.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ОформлениеСтрокиЯчейки.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ОформлениеЯчейки.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ПараметрыЗапроса.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/Периодический.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ПолеДанныхODBC.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ПоляДанныхODBC.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/ТабличноеПоле.ints 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/Intell2/Шрифт.ints 1.1:
		[+] ints-файлы с указанием типов реквизитов и методов

2006-11-23	adirks
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.7:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.6:
	* СистемныеФайлы/1CLangParser/lexer_1c.cpp 1.4:
	* СистемныеФайлы/1CLangParser/lexer_1c.h 1.3:
		[-] устранено большинство утечек памяти

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.8:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.7:
		[-] ошибка при работе с глобальным модулем
		[+] отладочный код для выявления проблем при падениях

	* СистемныеФайлы/1CLangParser/CommonFunctions.cpp 1.4:
	* СистемныеФайлы/1CLangParser/CommonFunctions.h 1.3:
		[+] отладочный код для выявления проблем при падениях

2006-11-15	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.8:
		[-] мелкие ошибки

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.7:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.7:
	* СистемныеФайлы/1CLangParser/parser.h 1.6:
		[*] сборщик мусора памяти немного переделан

2006-11-13	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.7:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.7:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.6:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.6:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.6:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.6:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.rc 1.3:
	* СистемныеФайлы/1CLangParser/ParserPlugin/resource.h 1.2:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.6:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.5:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.6:
		[+] для типа можно указать методы, добавляющие новые свойства в экземпляр
		[+] возможность получение свойств переменной в скрипте
		[+] подключение глобального модуля, и глобального контекста

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.3:
		[+] возможность получение свойств переменной в скрипте
		[+] подключение глобального модуля
		[+] загрузка информации о типах из ints-файлов  (формат файлов изменён!)

2006-11-08	adirks
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.15:
		[-] не открывались хедера из МДшника
		[+] простейший анализатор выражений, разбивающий сложное выражение на составные части (идентификаторы)

	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.2:
		[+] разбор выражения от начала строки до курсора, и определение типа для каждой 
		части

	* Скрипты/Intellisence/Intellisence.vbs 1.65:
		[*] при формировании ints-файлов для классов помещаем туда стандартные методы (
		ПолучитьБазовыйКласс() и т.п.)

	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.6:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.6:
	* СистемныеФайлы/1CLangParser/CommonFunctions.cpp 1.3:
	* СистемныеФайлы/1CLangParser/CommonFunctions.h 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.5:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.5:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.5:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.5:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.5:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.4:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.9:
		[+] возможность получения информации о типе переменной метода
		[+] поиск свойства текущего типа

2006-11-08	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.66:
		[*] в интс-файла для классов 1С++ добавляется метод "ЯвляетсяОбъектом"

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.16:
		[-] генерация интс-файлов для классов 1С++ вылетала на классе с пустым телом

2006-10-27	adirks
	* СистемныеФайлы/1CLangParser/lang1c.y 1.4:
		[*] более тщательный error recovery

	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.5:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.5:
	* СистемныеФайлы/1CLangParser/CommonFunctions.cpp 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.4:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.4:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.dsp 1.3:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.4:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.4:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.rc 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/StdAfx.h 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.js 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.vbs 1.5:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.4:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.3:
	* СистемныеФайлы/1CLangParser/istrmap.cpp 1.1:
	* СистемныеФайлы/1CLangParser/istrmap.h 1.1:
	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.6:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.5:
	* СистемныеФайлы/1CLangParser/parser.h 1.5:
	* СистемныеФайлы/1CLangParser/parser_test.cpp 1.5:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.8:
		[*] много всяких изменений

2006-10-19	artbear
	* ВспомогательныеДанные/Intell/Информатор.ints 1.1:
	* ВспомогательныеДанные/Intell/Перехватчик.ints 1.1:
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.9:
		[+] новые объекты 1С++
		Информатор
		Перехватчик

	* ВспомогательныеДанные/Intell/Math.ints 1.1:
	* ВспомогательныеДанные/Intell/Математика.ints 1.1:
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.11:
		[+] новый объект 1С++
		"Math / Математика"

	* ВспомогательныеДанные/Intell/Система.ints 1.1:
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.10:
		[+] новый объект 1С++
		"Система"

2006-10-18	artbear
	* Скрипты/Навигация/Навигация.vbs 1.45:
		[+] при открытии класса 1С++ его заголовок устанавливается в "класс ИмяКласса" вместо пути к файлу класса;
		[+] при сохранении файла класса его путь также устанавливается в "класс ИмяКласса" вместо пути к файлу класса;
		но возможен конфликт со скриптом "DocPath", который также правит заголовок после сохранения файла

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.14:
		[*] метод "FindClassByPath" неточно работал

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.13:
		[+] новый публичный метод "FindClassByPath" -
		Возвращает объект типа TClassInfo из коллекции, находя его по переданному пути файла.

	* ВспомогательныеДанные/Intell/DynaValue.ints 1.2:
	* ВспомогательныеДанные/Intell/АтрибутФормы.ints 1.2:
	* ВспомогательныеДанные/Intell/РасширениеФормы.ints 1.2:
	* ВспомогательныеДанные/Intell/СервисРасшФормы.ints 1.2:
		[*] обновлены ints-файлы для Intellisense.vbs

	* Скрипты/Навигация/Навигация.vbs 1.46:
		[-] устранен конфликт со скриптом "DocPath"

2006-10-16	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.3:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.3:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.3:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.3:
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.vbs 1.2:
		[+] тестовые методы для передачи в plugin информации о типах

	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.5:
		[+] Error recovery для некоторых ситуаций

	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.4:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.4:
	* СистемныеФайлы/1CLangParser/CommonFunctions.cpp 1.1:
	* СистемныеФайлы/1CLangParser/CommonFunctions.h 1.1:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.3:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.2:
		[*] переделан анализ распарсенного кода

2006-10-12	adirks
	* СистемныеФайлы/1CLangParser/ParserPlugin/parser_test.vbs 1.1:
		[+] тестовый скрипт

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.2:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.2:
	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.4:
		[*] выключены отладочные мессаги, приделан замер времени

2006-10-11	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.3:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.3:
	* СистемныеФайлы/1CLangParser/lexer_1c.cpp 1.3:
	* СистемныеФайлы/1CLangParser/lexer_1c.h 1.2:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.4:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.6:
	* СистемныеФайлы/1CLangParser/parser_test.dsw 1.3:
		[*] модификации для плагина

	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.cpp 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.h 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/CodeAnalyser.rgs 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.cpp 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.def 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.dsp 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.h 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.idl 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/ParserPlugin.rc 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/StdAfx.cpp 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/StdAfx.h 1.1:
	* СистемныеФайлы/1CLangParser/ParserPlugin/config.h 1.1:
		[+] плагин ParserPlugin.CodeAnalyser в первом приближении

2006-10-09	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.2:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.2:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.2:
	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.3:
	* СистемныеФайлы/1CLangParser/lang1c.y 1.3:
	* СистемныеФайлы/1CLangParser/lexer_1c.cpp 1.2:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.3:
	* СистемныеФайлы/1CLangParser/parser.h 1.4:
	* СистемныеФайлы/1CLangParser/parser_test.cpp 1.4:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.5:
	* СистемныеФайлы/1CLangParser/parser_test.dsw 1.2:
		[*] обработка грамматического дерева, получение типов переменных методов.

2006-10-02	adirks
	* СистемныеФайлы/1CLangParser/Analyser.cpp 1.1:
	* СистемныеФайлы/1CLangParser/Analyser.h 1.1:
	* СистемныеФайлы/1CLangParser/Types1C.cpp 1.1:
	* СистемныеФайлы/1CLangParser/Types1C.h 1.1:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.2:
	* СистемныеФайлы/1CLangParser/parser.h 1.3:
	* СистемныеФайлы/1CLangParser/parser_test.cpp 1.3:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.3:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.4:
		[*] обработка грамматического дерева, получение типов переменных методов.

2006-08-30	alest
	* СистемныеФайлы/ScriptingPlus.wsc 1.1:
		доп функции для работы SQLIntellisence.vbs
		(надо бы перенести их в CommonServices.wsc)

	* Скрипты/Intellisence/SQLIntellisence.vbs 1.1:
	* Скрипты/Intellisence/SQLIntellisence.vbs.txt 1.1:
		Скрипт определения полей таблиц при составлении прямых запросов
		Автор:
		Трошин Д. aka trdm

	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.7:
		+ функция удаления шаблона
		+ проверка типа окна при вызове функций

	* Скрипты/Разное/DocPath.js 1.4:
		Вывод пути файла также для открытых текстовых файлов, Не только для обработок

2006-08-24	artbear
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.12:
		[+] работа анализатора классов 1С++ приведена в соответствие
		с работой парсера классов в 1С++ и Виз1С++:
		1) добавлена возможность задавать пути относительно текущего прм-файла, а не только относительно КаталогаИБ
		2) добавлена возможность задавать относительные пути с использованием . или ..
		например, .\Путь или ..\Путь или Путь1\..\Путь

	* Скрипты/Навигация/Навигация.vbs 1.44:
		[-] если класс с таким названием был определен, выполнение скрипта 
		останавливалось.

2006-08-23	adirks
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.3:
	* СистемныеФайлы/svcsvc/FilterDlg.h 1.3:
		[+] Возможность передавать скрытые данные для каждой строки списка:  всё, что идёт после последнего символа '|' (и сам символ) в списке не показывается. При выборе строки она возвращается в исходном виде.
		!!!ВАЖНО!!! Пробелы справа и слева обрезаются, поэтому если последние пробелы нужны, добавьте в конце строки какой-нибудь символ

2006-08-14	adirks
	* ВспомогательныеДанные/Intell/АктивИкс.ints 1.1:
		[+] ints-файл для класса АктивИкс / ActiveX

2006-07-28	adirks
	* ВспомогательныеДанные/Intell/ODBCDataProvider.MSSQL.ints 1.1:
	* ВспомогательныеДанные/Intell/ДанныеСтроки.ints 1.1:
	* ВспомогательныеДанные/Intell/КолонкаТабличногоПоля.ints 1.1:
	* ВспомогательныеДанные/Intell/КолонкиТабличногоПоля.ints 1.1:
	* ВспомогательныеДанные/Intell/ОформлениеСтроки.ints 1.1:
	* ВспомогательныеДанные/Intell/ОформлениеЯчейки.ints 1.1:
	* ВспомогательныеДанные/Intell/ПолеДанныхODBC.ints 1.1:
	* ВспомогательныеДанные/Intell/ПоляДанныхODBC.ints 1.1:
	* ВспомогательныеДанные/Intell/ТабличноеПоле.ints 1.1:
		[+] *.ints файлы для объекта ТабличноеПоле и ему сопутствующих

2006-07-14	adirks
	* Скрипты/Редактирование/code_beautifier.pl 1.6:
		[-]  форматирование многострочного условия вида:
		   Если (Условие1>0) и
		   (Условие2<0) и
		   //(Условие3="++") Тогда
		   (Условие3="+") Тогда
		   КонецЕсли;
		приводило к разрушению кода

2006-07-12	adirks
	* Скрипты/Редактирование/Форматирование текста.vbs 1.6:
		[+] Добавлен макрос FormatBlockWithTabsAskChar - каждый раз спрашивает символ-
		разделитель, и выравнивает по этому символу

2006-07-04	metaeditor
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.2:
	* СистемныеФайлы/svcsvc/FilterDlg.h 1.2:
	* СистемныеФайлы/svcsvc/Icon1.ico 1.1:
	* СистемныеФайлы/svcsvc/Service.cpp 1.2:
	* СистемныеФайлы/svcsvc/Service.h 1.2:
	* СистемныеФайлы/svcsvc/resource.h 1.2:
	* СистемныеФайлы/svcsvc/svcsvc.aps 1.2:
	* СистемныеФайлы/svcsvc/svcsvc.clw 1.2:
	* СистемныеФайлы/svcsvc/svcsvc.dsp 1.2:
	* СистемныеФайлы/svcsvc/svcsvc.h 1.2:
	* СистемныеФайлы/svcsvc/svcsvc.idl 1.2:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.2:
		[+] версия 1,0,0,5

	* СистемныеФайлы/svcsvc.txt 1.2:
		[+] описание новых методов

2006-06-30	a13x
	* Скрипты/Разное/Synonym.js 1.2:
		[-] убрана зависимость от порядка обхода элементов диалога по Tab

	* Скрипты/Разное/DocPath.js 1.3:
		[-] убрано забытое по ошибке отладочное сообщение

2006-06-25	a13x
	* Скрипты/Разное/Synonym.js 1.1:
		Скрипт для формирования синонима реквизита на основании его
		идентификатора (a la 1С:Предприятие 8.0), исходная версия от Phoenix

	* Скрипты/Разное/DocPath.js 1.2:
		[+] Вывод полного пути внешнего отчета в заголовке (by Phoenix)

2006-05-15	metaeditor
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.12:
		[+]вернул автооткрытие списка типов после СоздатьОбъект("")

2006-05-12	a13x
	* Скрипты/Intellisence/dots.vbs 1.14:
		[*] SyntaxCheck возвращает true если проверка успешна, иначе - false
		[+] Макрос AddToSlovarFromClopboard() - добавить строки из буфера
		обмена в словарь
		[+] Макрос SelectStringFromClipboard() - выбрать одну из строк буфера
		обмена в списке и вставить по месту положения курсора

	* Скрипты/Intellisence/Intellisence.vbs 1.64:
		[*] MethodList(): при выборе типа из списка список типов
		предварительно фильтруется, если часть имени типа уже введена
		в строке, в которой выполняется подстановка
		[+] Макрос CreateArgsTypeDefs() - подстановка определений типов
		аргументов подпрограммы в диалоговом режиме

2006-05-10	a13x
	* ВспомогательныеДанные/virii.txt 1.3:
		[+] Информация по Symantec AntiVirus и Avira AntiVir

2006-05-05	a13x
	* ВспомогательныеДанные/virii.txt 1.2:
		[+] Информация по антивирусу Avast!

2006-05-04	a13x
	* ВспомогательныеДанные/virii.txt 1.1:
		Исходная версия файла со списком антивирусных программ,
		обнаруживающих вирусы в сборке скриптов

2006-05-03	metaeditor
	* Скрипты/Редактирование/Brackets.vbs 1.7:
		от trdm:
		[+] Добавил 2 многострочных обрамителя, действеующих для многострочного текста.
		        - Комментарий
		        - Комментарий + дата
		[+] Добавил проверку на тот случай если выбран многострочный
		обрамитель, а выделен кусочек одной строки или много строк выделено,
		но фрагментами.

	* СистемныеФайлы/svcsvc.dll 1.3:
		[*]версия 1.0.0.5
		описание изменений в
		\OpenConf_Scripts\СистемныеФайлы\svcsvc\readme.txt

	* Скрипты/Навигация/NavigationTools.vbs 1.24:
		[*]изменено получение формулы и текстов контролов через svcsvc.dll
		[+]ActivateFindEdit: текст из буфера автоматически вставляется в окно поиска

	* Скрипты/Навигация/Выбрать из списка.vbs 1.3:
		[*]макрос SelectFromComboBox переделан с помощью нового функционала Svcsvc.dll

2006-04-27	a13x
	* Скрипты/Разное/TelepatSettings.js 1.4:
		[*] Глобальные настройки по умолчанию сохраняются не в bin\config, а в bin

2006-04-26	adirks
	* Скрипты/РаботаСФормами/ПроверитьФункцииВФормулах.vbs 1.1:
		[+] Скрипт предназначен для проверки наличия функций, задействованных в контролах формы. Функции ищутся в текущем и в глобальном модулях. Если ничего не найдено, то выдаётся сообщение вида:
		'ИмяСлоя - Заголовок - Идентификатор - ИмяФункции

2006-04-21	metaeditor
	* Скрипты/Intellisence/Intellisence.vbs 1.63:
		[-] исправлен (убран) повторны запрос имени процедуры
		    при вставке текста телепата "Процедура_КонецПроцедуры"
		[-] исправлен (убран) повторный показ списка методов если
		    пользователь отказался от выбора

2006-04-21	a13x
	* Скрипты/Разное/TelepatSettings.js 1.3:
		[*] Автосохранение теперь выполняется для глобальных настроек

	* СистемныеФайлы/Templates.wsc 1.2:
		[+] Отбор при формировании списка контролов по формуле

	* Скрипты/РаботаСФормами/Редактор форм.js 1.5:
		[*] Изменена директория, из которой берется html-файл диалогового окна

2006-04-20	adirks
	* Скрипты/Примеры/telepat.vbs 1.7:
		[*] при инициализации выключаем автоактивацию подсказки о параметрах
		[+] при подстановке шаблонов поля вида {ДАТА#dd.mm.yyyy} автоматически заменяются на текущую дату - на тот случай, когда нужно указывать дату изменений в комментариях

2006-04-12	metaeditor
	* Скрипты/Навигация/Выбрать из списка.vbs 1.1:
		[+]исходная версия

	* Скрипты/Навигация/Выбрать из списка.vbs 1.2:
		[+]рефакторинг, доработка для обычных списков,  а не только комбобоксов

2006-04-10	artbear
	* ВспомогательныеДанные/Intell/Сервис.ints 1.1:
		[+] Методы объекта Сервис, синоним "СервисРасшФормы"

	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.8:
		[-] Был незаслуженно забыт объект "XBase"

2006-04-07	artbear
	* Скрипты/Разное/УбратьНенужныеОкна1C.vbs 1.5:
		[-] Вместо очень неудобного предупреждения "Общая файловая ошибка при доступе к"
		выдается сообщение в окно сообщений

2006-04-06	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.62:
		[-] Не работала явная типизация в конструкциях вида
		Перем глПользователь Экспорт; //:Справочник.Пользователи

2006-03-31	artbear
	* СистемныеФайлы/1S.StatusIB.wsc 1.5:
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.15:
		[+] Теперь четко разделяются ситуации, когда
		база занята монопольно
		или в базе в разделенном режиме работает 1 человек

2006-03-29	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.61:
		[-] некорректно проверялся тип документа (обработка, внешнияя обработка, текст) 
		при попытке сопоставить документу класс 1С++.

2006-03-28	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.60:
		[+] в новом варианте не работал вызов скрипта "intsOLEGenerator"

	* Скрипты/Intellisence/Intellisence.txt 1.7:
		[+] добавил, что
		Также в подобных конструкциях Интелл умеет выдавать список всех возможных классов
		Т.е. если написано
		// :|
		где  |  это позиция курсора
		
		Если здесь вызвать главный макрос Интелла MethodList, будет выдан  список  всех
		классов.

	* Скрипты/Intellisence/Intellisence.vbs 1.59:
		[*] определение типа переменных в глобальном модуле в конструкциях вида
		Перем <ИмяПеременной> Экспорт; //:<ИмяТипа>
		не работало, если в <ИмяТипа> есть точка (Общие.ТаблицаЗначений)

2006-03-28	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.57:
		[*] Типизация '//:Контекст'  теперь работает и для классов, расположенных в 
		МДшнике.

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.11:
		[-] Поправлено определение пути к файлам описаний классов. В предыдущем варианте 
		неправильно подключались хедеры из состава МДшника.

	* Скрипты/Intellisence/Intellisence.txt 1.6:
		[+] Описание явного задания типа переменных

	* Скрипты/Intellisence/Intellisence.vbs 1.58:
		[+] при старте скрипт читает определения переменных в глобальном модуле, и если встречаются конструкции вида
		Перем <ИмяПеременной> Экспорт; //:<ИмяТипа>
		то такие конструкции заносятся в список типизированных глобальных переменных, и при любом обращении к ним вне глобального модуля тип берётся из кэша.

2006-03-27	artbear
	* ВспомогательныеДанные/Intell/Окна.ints 1.1:
		[+] встроенный класс 1С++/FormEx "Окна"

	* Скрипты/Intellisence/Intellisence.vbs 1.56:
		[+] Добавлена возможность работы с контекстом
		Например, Перем Сам; // : Контекст
		' в этом случае тип будет определен из контекста, например, это очень удобно для классов 1С++;
		
		[+] Добавлена возможность для функции задать тип возвращаемого значения
		// Например, можно писать так (!! в одной строке !!)
		Функция ТотЖе(Значение) Операторы; КонецФункции // : ТипОбъекта
		// или
		Функция ЛюбаяФункция()// : ТипОбъекта
		// или
		Функция Сам() Возврат ТотЖе(Параметры); КонецФункции // в этом случае тип будет получен из первого метода
		// или
		Функция ЛюбаяФункция()// : Контекст
		// или
		Функция Сам() Возврат ТотЖе(Контекст); КонецФункции
		// в последних 2 случаях тип будет определен из контекста, например, для классов 1С++

	* СистемныеФайлы/svcsvc.dll 1.2:
		[+] новая версия с поправками от нескольких авторов

	* ВспомогательныеДанные/Intell/Справочник.ints 1.2:
		[+] метод ВыбратьЭлементыПоРеквизиту

2006-03-24	a13x
	* СистемныеФайлы/Templates.wsc 1.1:
	* СистемныеФайлы/regfiles.js 1.3:
	* Скрипты/Редактирование/Templates.vbs 1.1:
		Альтернативный "движок" шаблонов для редактора текстов 1С, исходная версия

	* Скрипты/Intellisence/als2xml.js 1.8:
		[+] Параметр /KEYWORDS - сохранить все имена методов и атрибутов в файл

	* Скрипты/Редактирование/code_beautifier.pl 1.5:
		[-] Не обрабатывался параметр blank_before_endproc

2006-03-20	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.23:
		[+] Новый макрос GotoLastSelectedMDTreeItem
		переход к элементу в дереве метаданных, который был выделен перед вызовом макроса
		GoToSelectedMDTreeItemType
		удобно повесить на Alt+Left (переход назад по стеку телепата), если открыто дерево метаданых
		выполнится этот макрос, иначе стандартное действие телепата

2006-03-19	artbear
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.10:
		[-] при вложенных файлах определения классов 1С++ баг,
		если в файле определения путь относительно каталога ИБ.

2006-01-30	artbear
	* Скрипты/РаботаСФормами/ExpandForm.vbs 1.1:
		[+] Исходная версия от trdm
		Скрипт позволяет посмотреть все контролы формы в развернутом виде

2006-01-28	adirks
	* ВспомогательныеДанные/Intell/ИндексированнаяТаблица.ints 1.2:
		[+] список методов приведён в соответствие с текущим состоянием индексированной 
		таблицы

2006-01-27	a13x
	* Скрипты/Intellisence/als2xml.js 1.7:
		[+] Генерация ints-файлов (опция /INTS)

	* Скрипты/Редактирование/MultiString.js 1.1:
		Копирование/вставка многострочных строковых констант в буфер
		обмена/в редактируемый модуль с учетом особенностей синтаксиса
		языка 1С

	* Скрипты/Intellisence/Intellisence.vbs 1.55:
		[+] Поддержка методов FormEx'а ПерехватитьАктивХ/WrapActiveX  (Steban)

2006-01-25	alest
	* Скрипты/РаботаСФормами/Редактор форм.js 1.4:
		+ проверка перед запуском на наличие у документа реквизитов ТЧ
		+ проверка на наличие ТЧ на форме перед действиями
		+ проверка открыто ли еще окно редактируемой формы
		+ при повторном запуске перечитывает данные из формы
		+ реакция на нажатие клавиш delete и insert в форме редактора

2006-01-16	alest
	* Скрипты/РаботаСФормами/FormEditor.html 1.2:
	* Скрипты/РаботаСФормами/Редактор форм.js 1.3:
		+исправление ситуации когда в формуле кавычки
		+реакция на нажатие клавиш (вверх, вниз (с контролом - перемещение колонки), home, end (с контролом - перемещение колонки), ввод - принять (с контролом принять и закрыть), esc - закрыть)

2006-01-13	alest
	* Скрипты/РаботаСФормами/Редактор форм.js 1.2:
		+ функция вставки колонки в выбранную позицию (выбранная колонка №8 станет 9-ой, новая вставится под номером 8)
		+ изменено поведение при изменении номера колонки в поле номер: теперь колонка не меняется местами с указанным номером, а сдвигает колонки с этим номером и больше вниз
		+можно менять положение колонок (новая колонка, новая строка, та же колонка)

2006-01-12	alest
	* Скрипты/РаботаСФормами/Редактор форм.js 1.1:
		Скрипт позволяет:
		1 добавлять/ удалять колонки
		2 менять их порядок
		3 изменять Заголовок, Формулу, Описание и Ширину
		
		В комплекте еще должен быть файл bin/config/html/FormEditor.html

	* Скрипты/РаботаСФормами/FormEditor.html 1.1:
		Диалоговое окно для Редактора форм

2006-01-08	alest
	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.6:
		Пофиксен баг при загрузке в совсем пустую форму

2005-12-27	alest
	* Скрипты/Разное/TurboMD_Artur.vbs 1.3:
		Добавлен метод для удаления всех ссылок, чтобы все формы и модули загружались в 
		режиме предприятия из мд

2005-12-26	adirks
	* СистемныеФайлы/OpenIn1C.exe 1.8:
	* СистемныеФайлы/OpenIn1C/DDIcon.ico 1.1:
	* СистемныеФайлы/OpenIn1C/MDTree.ico 1.1:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.dsp 1.3:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.rc 1.3:
	* СистемныеФайлы/OpenIn1C/mxl.ico 1.1:
		[+] добавлено несколько иконок

	* СистемныеФайлы/SelectDialog.dll 1.2:
		[+] Объекту SelectDialog добавлено свойство InitialText, позволяющее задать 
		начальный текст в текстовом поле диалога.

2005-12-25	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.54:
		[-] скрипт должен работать и со старой версией SelectDialog.dll

2005-12-21	alest
	* СистемныеФайлы/svcsvc/FilterDlg.cpp 1.1:
	* СистемныеФайлы/svcsvc/FilterDlg.h 1.1:
	* СистемныеФайлы/svcsvc/SelectDlg.cpp 1.1:
	* СистемныеФайлы/svcsvc/SelectDlg.h 1.1:
	* СистемныеФайлы/svcsvc/Service.cpp 1.1:
	* СистемныеФайлы/svcsvc/Service.h 1.1:
	* СистемныеФайлы/svcsvc/Service.rgs 1.1:
	* СистемныеФайлы/svcsvc/StdAfx.cpp 1.1:
	* СистемныеФайлы/svcsvc/StdAfx.h 1.1:
	* СистемныеФайлы/svcsvc/readme.txt 1.1:
	* СистемныеФайлы/svcsvc/resource.h 1.1:
	* СистемныеФайлы/svcsvc/sample.vbs 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.aps 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.clw 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.cpp 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.def 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.dsp 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.dsw 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.h 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.idl 1.1:
	* СистемныеФайлы/svcsvc/svcsvc.rc 1.1:
	* СистемныеФайлы/svcsvc/svcsvcps.def 1.1:
	* СистемныеФайлы/svcsvc/svcsvcps.mk 1.1:
		исходники svcsvc.dll

	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.5:
		+ добавлена процедура для замены строк в идентификаторах, заголовках и формулах 
		элементов диалога (строка поиска компилируется в регэксп, в строке замены можно 
		использовать $1.. для ссылки на матч)

2005-12-21	adirks
	* СистемныеФайлы/SelectDlg/SelectDialog.dsp 1.2:
	* СистемныеФайлы/SelectDlg/SelectDialog.h 1.2:
	* СистемныеФайлы/SelectDlg/SelectDialog.idl 1.2:
	* СистемныеФайлы/SelectDlg/SelectDialog_i.c 1.2:
	* СистемныеФайлы/SelectDlg/SelectDialog_p.c 1.2:
	* СистемныеФайлы/SelectDlg/SelectFrm.cpp 1.2:
	* СистемныеФайлы/SelectDlg/SelectFrm.h 1.2:
	* СистемныеФайлы/SelectDlg/Selection.cpp 1.2:
	* СистемныеФайлы/SelectDlg/Selection.h 1.2:
		[+] Объекту SelectDialog добавлено свойство InitialText, позволяющее задать 
		начальный текст в текстовом поле диалога.

	* СистемныеФайлы/SelectDlg/SelectDialog.clw 1.2:
	* СистемныеФайлы/SelectDlg/SelectDialog.h 1.3:
	* СистемныеФайлы/SelectDlg/SelectDialog_i.c 1.3:
	* СистемныеФайлы/SelectDlg/SelectDialog_p.c 1.3:
	* СистемныеФайлы/SelectDlg/SelectFrm.cpp 1.3:
	* СистемныеФайлы/SelectDlg/SelectFrm.h 1.3:
	* Скрипты/Intellisence/Intellisence.vbs 1.53:
		[*] Intellisence + SelectDialog  не будут больше проглатывать символы между 
		точкой и курсором.

2005-12-20	alest
	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.4:
		+ исправлена ошибка при работе с шаблонами выделенных элементов, когда на форме 
		есть ТЧ документа

2005-12-19	alest
	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.3:
		+ шаблоны теперь храним в xml-файлах (глобальные в папке bin/config, локальные- в папке базы)
		+ создание шаблонов по выделенным элементам, при загрузке они добавляются в форму (не затрагивая уже присутствующие элементы)
		+ проверка типов при загрузке элементов в форму (справочник, документ, перечисление)
		+ для шаблона контрола строки модуля пока задаем только вручную
		+ пару строк описания

2005-12-19	a13x
	* Скрипты/Intellisence/als2xml.js 1.6:
		[+] опция /PREFIX - устанавливать префикс идентификаторов типов
		[+] опция /INDENT - форматировать результирующий XML-код отступами

2005-12-16	alest
	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.1:
		+ Скрипт для создания шаблонов форм и загрузки их в новые отчеты, документы
		- пока не переносит модуль

	* Скрипты/РаботаСФормами/Шаблоны форм.js 1.2:
		+ переносит модуль (поменялся формат файла хранения шаблонов: теперь в секции 2 
		параметра: форма и модуль)

2005-12-15	a13x
	* Скрипты/Intellisence/als2xml.js 1.5:
		[+] Новый параметр консольного режима SILENT - не выводить
		никаких сообщений
		[*] Улучшено получение информации о типе данных параметров и
		возвращаемого значения
		[*] Рефакторинг функции первичной обработки als'ов (5 из 34-х
		по-прежнему ломаются)

2005-11-29	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.22:
		[*] GotoControlWithFormula: в словарь попадали значения с пробелами
		  в конце, из-за чего некорректно возвращались ключи при выборе из
		  списка

2005-11-25	artbear
	* ВспомогательныеДанные/Intell/ИндексированнаяТаблица.ints 1.1:
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.7:
	* Скрипты/Intellisence/Intellisence.vbs 1.51:
		[+] добавил работу со встроенным объектом 1С++ "ИндексированнаяТаблица" от 
		Алексея Диркса aka ADirks

	* Скрипты/Intellisence/intsOLEGenerator.vbs 1.4:
		[-] некоторые баги.
		Версия не совпадает с той, что на проклубе.

	* Скрипты/Intellisence/Intellisence.vbs 1.52:
		[-] баг при создании справочника следующим образом
		Спр = СоздатьОбъект("Справочник."+ВидСправочника);
		и использовании в дальнейшем
		Спр.

2005-11-23	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.21:
		[*] SelectMetadataAndGotoObj: последние выбираемые элементы
		  "всплывают" вверх списка
		[*] GotoControlWithFormula: исправлена ошибка попадания
		  в словарь одинаковых ключей

2005-11-23	a13x
	* Скрипты/Intellisence/als2xml.js 1.4:
		[-] некорректная обработка квадратных скобок внутри строковых параметров
		[-] некорректная обработка многострочных параметрах, когда в конце строки
		отсутсвовал символ \r
		[-] не правильно формировался alias
		[+] обработка разделов summary

2005-11-21	a13x
	* Скрипты/Intellisence/als2xml.js 1.2:
		[-] при парсинге некорректно обрабатывались строковые параметрами
		со сдвоенными кавычками внутри

	* Скрипты/Intellisence/als2xml.js 1.3:
		[+] Портирован для работы в качестве OpenConf-скрипта (макрос
		КонвертироватьALS - конвертирует выбранный als-файл в tls-файл)

	* Скрипты/Intellisence/als2xml.js 1.1:
		Конвертор ALS-файлов синтаксис-помощника в XML-файлы описания
		типов для Телепата

2005-11-12	a13x
	* Скрипты/Разное/Разработка скриптов.vbs 1.14:
		[-] ошибка в макросе EditFileWithExtEditor из-за того, что метод
		CommonServices::GetScriptIndexByName возвращал значения разного типа

	* СистемныеФайлы/CommonServices.wsc 1.43:
		[*] изменена сигнатура метода InputBox: добавлены необязательные
		параметры title и default для указания заголовка и значения по
		умолчанию соответственно
		[-] метод GetScriptIndexByName возвращал разные типы значений в
		зависимости от того, загружен скрипт скрипт, заданный по имени,
		или нет; теперь всегда возвращает числовой тип

2005-11-11	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.50:
		[+] заботало определение типа в случае выражения типа "Константа.ГлБухгалтер.",
		выдается список атрибутов и методов типа константы;
		[*] еще пара полезных отладочных сообщений;

2005-11-10	artbear
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.6:
		[+] добавил встроенные в 1С++ объекты;

	* ВспомогательныеДанные/Intell/BinaryData.ints 1.1:
	* ВспомогательныеДанные/Intell/Compound.ints 1.1:
	* ВспомогательныеДанные/Intell/DynaCrypt.ints 1.1:
	* ВспомогательныеДанные/Intell/Guid.ints 1.1:
	* ВспомогательныеДанные/Intell/MetaDataWork.ints 1.1:
	* ВспомогательныеДанные/Intell/MetaInfoClasses.ints 1.1:
	* ВспомогательныеДанные/Intell/ODBCDataBase.ints 1.1:
	* ВспомогательныеДанные/Intell/ODBCRecordSet.ints 1.1:
	* ВспомогательныеДанные/Intell/SQLLock.ints 1.1:
	* ВспомогательныеДанные/Intell/Делегат.ints 1.1:
	* ВспомогательныеДанные/Intell/МенеджерСобытий.ints 1.1:
	* ВспомогательныеДанные/Intell/РаботаСРегистромWin.ints 1.1:
	* ВспомогательныеДанные/Intell/РасширениеТаблицы.ints 1.1:
	* ВспомогательныеДанные/Intell/Структура.ints 1.1:
		Благодаря автору Валдемар
		[+] файлы описаний на встроенные в 1С++ объекты для Intellisence.vbs

	* ВспомогательныеДанные/Intell/svcsvc_service.ints 1.1:
		[+] файл описаний на объект "svcsvc.dll" для Intellisence.vbs

2005-11-08	artbear
	* Скрипты/Примеры/HtmlDlgExample.js 1.2:
		[-] неверно работала функция нажатия на первую кнопку;

	* Скрипты/Примеры/HtmlDlgExample.htm 1.2:
		[-] не работала функция открытия формы;
		[-] не работало перемещение в ComboBox;

2005-11-07	a13x
	* Скрипты/Примеры/HtmlDlgExample.htm 1.1:
	* Скрипты/Примеры/HtmlDlgExample.js 1.1:
		Пример скрипта с html-диалогом (используются все основные
		контролы: кнопки, флаги, переключатели, список, поле со списком)

2005-11-01	adirks
	* Скрипты/Редактирование/code_beautifier.pl 1.4:
		[+] Возможность добавлять/удалять комментарий с имененм метода после слова 
		КонецПроцедуры или КонецФункции

2005-10-31	metaeditor
	* Скрипты/Редактирование/Brackets.vbs 1.6:
		[*] Небольшой рефакторинг
		[+] Добавлена возможность использования в качестве скобок
		операторы Если_Тогда_КонецЕсли, Для_Цикл, Пока_Цикл...

2005-10-31	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.49:
		[+] добавил TODO - несколько нереализованных идей

2005-10-31	adirks
	* ВспомогательныеДанные/Intell/DynaValue.ints 1.1:
		[+] ints-файл для типа DynaValue.

2005-10-30	artbear
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.4:
		[+] объект "УскорительГК";

	* Скрипты/Intellisence/intsOLEGenerator.vbs 1.3:
		[+] Добавлена генерация als-файлов;

	* ВспомогательныеДанные/Intell/ВыполняемыйМодуль.ints 1.1:
		[+] методы встроенного объекта 1С++ "ВыполняемыйМодуль"

	* Скрипты/Intellisence/Intellisence.vbs 1.48:
		[-] если интс-файл не найден, скрипт вылетал с ошибкой

	* ВспомогательныеДанные/Intell/ФормаАтрибут.ints 1.1:
		[+] методы атрибутов формы

	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.3:
		[*] наиболее часто употребимые типы объектов вынесены вперед,
		имхо так чуточку удобнее.

	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.5:
		[+] добавил несколько встроенных объектов 1С++

	* Скрипты/Intellisence/Intellisence.vbs 1.47:
		[+] при генерации ints-файлов для классов 1С++ добавляются
		1) методы базовых стандартных классов 1С (например, Справочник, Документ),
		2) атрибуты метаданного, выступающего в роли базового класса (например, Справочник.Сотрудники);
		3) ints-файлы для классов 1С++ генерятся в каталоге Intell\1С++,
		4) старые ints-файлы для классов 1С++ удаляются из каталога Intell,
		5) в режиме показа отладочных сообщений можно просмотреть подробную информацию по генерации файлов;
		[*] при поиске ints-файлов сначала просматривается каталог Intell,
		а затем, если нужного файла не найдено, просматривается каталог Intell\1С++;
		[-] для атрибутов формы выдается список методов от 1С, а не методы от спец.класса 1С++ "АтрибутФормы";
		[+] добавлена возможность работы с журналом расчетов;
		[-] макрос "DisableDebugMessages" не работал;

	* ВспомогательныеДанные/Intell/УскорительГК.ints 1.1:
		[+] единственный метод "Ускорить";

2005-10-26	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.46:
		от trdm
		[+] В процедуре GetMainType() при нахождении создания объекта методом
		"Объект = СоздатьОбъект("СтрокаСоздания");" вставлен вызов процедуры
		проверки "СтрокаСоздания" на принадлежность её к объектам OLE-Automation
		и в случае успешного прохождения проверки, запуск попытки генерации *.ints-файлов
		для Intellisence.  После генерации соответственно запускается загрузка
		дополнительных словарей, с помощью ReloadDictionary.
		
		[+] Добавлена процедура подгрузки дополнительных словарей ReloadDictionary, вставлен её
		вызов в процедуру, исполняемую при загрузке скрипта. Данные дополнительных словарей
		хранятся в одноименных файлах по пути: BinDir & "\Config\Intell"
		Это файлы: "TypesStructureExt.txt" и "OtherTypesDefine.txt"
		
		[+] Добавлена простая функция GetVTFields(lCase(ExprParts(0)), ""), возвращающая поля
		объекта XBase, созданного способом
		"База = СоздатьОбъект("XBase");"
		процедура использует конструкцию: База.ДобавитьПоле("ИмяПоля");
		
		[*] Соответственно вставлены нужные конструкции в "MethodsBehaviour" и обработка в функции
		GetMethodsList(CurrentLine).

2005-10-25	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.20:
		[+] GoToFormula: если формула пустая, берётся идентификатор контрола

2005-10-24	artbear
	* Скрипты/Intellisence/intsOLEGenerator.vbs 1.2:
		[*] Авто-номер версии

2005-10-21	a13x
	* Скрипты/Разное/TelepatSettings.js 1.1:
		Скрипт для раздельного хранения настроек Телепата для каждой ИБ,
		исходная версия

	* Скрипты/Разное/TelepatSettings.js 1.2:
		[-] не учитывался флаг AutoSaveSettingsOnQuit и настройки для текущей ИБ всегда сохранялись
		при выходе из конфигуратора

	* Скрипты/Редактирование/author.js 1.9:
		[+] Новый макрос СохранитьДобавивДатуВремяИзменения() - добавить
		время последнего изменения в качестве комментария в начало или конец
		модуля (опционально) и сохранить документ

2005-10-20	adirks
	* Скрипты/Разное/TurboMD_Artur.vbs 1.2:
		[*] Если файл turbomd.prm отсутствует, то он будет создан.

2005-10-18	artbear
	* СистемныеФайлы/TLBINF32.DLL 1.1:
		Получение информации о свойствах и методах объектов по их ProgID.
		TypeLib Information Objects from Microsoft

	* Скрипты/Intellisence/intsOLEGenerator.vbs 1.1:
		Генератор *.ints файлов для Intellisence
		Автор - trdm
		* 1.4:
			* изменен номер версии
		* 1.3:
			+ Флаг ErrorNumber - показывающий, что ошибка обработана и сообщение выдано.
			+ подробные сообщения об ошибках работы процедуры генерации. и запоминание прог-ида как обработанного в случае ошибок.
			+ процедура ReGenerator - процедура позволяет произвести регенерацию файлов по объекту из списка сгенерированных.
			+ из CommonGenerator вынесены процедуры генерации объектов "Excel.Application" и "Word.application"
		* 1.2:
			+ Добавлены копирайты.
			- убрана инициализация не нужной переменной.
			+ Добавлена обработка ошибки при взятии LibInfo
			+ Процедура IntsGenerator преобразована в функцию и возвращает результат работы...
			+ Процедура Generator() - Генерирует *.ints-файлы по произвольному прог-иду
			+ Добавлена процедура TestLibrary() - тест необходимости регистрации библиотеки TLBINF32.DLL
		* 1.1:
			+ не первое помещение в респозитарий

	* СистемныеФайлы/regfiles.js 1.2:
		[+] Добавлена регистрация библиотеки "tlbinf32.dll"

	* ВспомогательныеДанные/Intell/intsOLEGenerator.vbs.txt 1.1:
		Описание генератора *.ints файлов для Intellisence "intsOLEGenerator.vbs"
		Автор - trdm

2005-10-14	adirks
	* Скрипты/Редактирование/code_beautifier.pl 1.3:
		[-] исправлена отработка унарного минуса (добавлялся пробел справа)
		[*] удаляются пробелы между последним символом выражения и ';'

2005-09-30	adirks
	* Скрипты/ВерсионныйКонтроль/СравнитьОбъект.vbs 1.4:
		[+] Добавлен метод для декомпиляции текущего объекта DecompileCurrentObject().

2005-09-28	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.45:
		[-] В некоторых случаях в методе GetListParamValue() возникала ошибка
		[*] В обработчике события Telepat_OnShowMemberList() показ списка делаем вызовом  MethodsList() - для унификации интерфейса.

	* Скрипты/Intellisence/Intellisence.txt 1.5:
		[*] Немного дополнено описание

2005-09-27	alest
	* Скрипты/Редактирование/refactorer.js 1.1:
		Функции рефакторинга
		
		Добавлена функция Выделить метод

	* Скрипты/Редактирование/refactorer.js 1.2:
		1. При выделении одной строки определяем тип метода по знаку равно
		2. Выбор типа метода из меню

2005-09-27	adirks
	* Скрипты/Общие/Шорткаты.vbs 1.11:
		[+] Добавлены методы  OpenAngleBracket() CloseAngleBracket() для вставки 
		символов '<' и '>' при руской раскладке.

2005-09-14	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.44:
		[+] вставил методы-заглушки для вызова профайлера ( на производительность не влияют);
		[-] события телепата обрабатываются независимо от наличия скрипта RunAllIntellisence.vbs;
		
		от alest
		[+] После вставки "СоздатьОбъект" от телепата сразу выскакивает список доступных типов;
		[+] перенес из телепат.вбс обработку событий по вставке текста ( событие OnInsert);
		[+] интеллисенс работает и для внешних модулей, получаемых при разборе конфигурации программой MetaBuilder;

	* Скрипты/Примеры/telepat.vbs 1.6:
		[+] перенес в Intellisence.vbs обработку событий по вставке текста ( событие 
		OnInsert);

	* Скрипты/Примеры/TurboMD.vbs 1.6:
		[+] сообщение о выгрузке выводится в строку статуса;
		[+] незавершенный код для выгрузки встроенных таблиц и замены ссылок типа "Таб.ИсходнаяТаблица("Таблица")";

2005-09-07	alest
	* Скрипты/Редактирование/mb_utils.js 1.7:
		исправлен комментарий функции cleanEOL

	* Скрипты/Редактирование/mb_utils.js 1.5:
		Добавлены функции (рас)комментировать с корректным сохранением выделения текста

	* Скрипты/Редактирование/mb_utils.js 1.6:
		Добавлены функции перехода к началу и концу функции и выделения текста функции

	* Скрипты/Редактирование/mb_utils.js 1.3:
		Исправлена cleanEOL:
		1. удаление концевых пробелов производится построчно, а не заменяется весь текст
		2. контрилируется выделение текста после удаления пробелов
		
		Добавлено:
		1. функция закрытия активного окна
		2. glob2md - загрузка глобального модуля в мд
		3. start1C - загрузка предприятия с предварительной загрузкой глобального модуля

	* Скрипты/Редактирование/mb_utils.js 1.4:
		openIncludeFile()
		1. если нет открытых окон- открывает окно конфигурации
		2. если вызывается из окна конфигурации- открывается modules\\ГлобальныйМодуль.txt, если такого нет, то глобальный модуль мд
		3. если из модуля формы, проведения- открывается файл из директивы ЗагрузитьИзФайла, если не удалось, то закладка модуля
		если директивы нет- тоже просто модуль открывает (активизирует)

2005-08-24	artbear
	* ВспомогательныеДанные/Intell/AddIn.AddInMail.ints 1.3:
	* ВспомогательныеДанные/Intell/AddIn.AddInMail.ints 1.4:
	* ВспомогательныеДанные/Intell/AddIn.AddInMail.ints 1.5:
	* ВспомогательныеДанные/Intell/AddIn.AddInMail.ints 1.6:
		опять тест

	* ВспомогательныеДанные/Intell/AddIn.AddInMail.ints 1.2:
		+ тест

2005-08-18	artbear
	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.7:
		от автора hleb
		[+] выгрузка модуля во внешний файл;
		[-] неверная работа, если путь файла обрамлен кавычками;

2005-08-14	adirks
	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.2:
	* СистемныеФайлы/1CLangParser/lang1c.tab.h 1.1:
	* СистемныеФайлы/1CLangParser/lang1c.y 1.2:
	* СистемныеФайлы/1CLangParser/lexer_1c.cpp 1.1:
	* СистемныеФайлы/1CLangParser/lexer_1c.h 1.1:
	* СистемныеФайлы/1CLangParser/parser.h 1.2:
	* СистемныеФайлы/1CLangParser/parser_test.cpp 1.2:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.2:
		[*] Лексический анализатор вынесен из файла грамматики, и оформлен отдельным 
		классом.

	* СистемныеФайлы/1CLangParser/parser.c 1.2:
		[-] Лишний файл.

2005-08-12	adirks
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.6:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.rc 1.2:
		[*] Понавставлял отладочной печати.
		[*] Увеличено время ожидания диалога открытия файла.
		[*]  Добавлено иконок.

2005-08-05	a13x
	* Скрипты/Разное/Разработка скриптов.vbs 1.13:
		[+] хранение пути к рабочей копии репозитория скриптов в реестре
		[+] макрос для установки пути рабочей копии репозитория
		[+] новое действие "Редактировать во внешнем редакторе" и
		соответствующий макрос

	* Install/scripts/code_beautifier.nsh 1.2:
	* Install/scripts/filters.txt 1.2:
	* Install/scripts/un.code_beautifier.nsh 1.1:
	* Install/scripts/un.Меню макросов из файла.nsh 1.1:
	* Install/scripts/Меню макросов из файла.nsh 1.1:
		[+] Сценарий для установки скрипта Меню макросов из файла
		[+] Вернул потерянный сценарий для деинсталляции code_beautifier.pl

	* Install/resources/readme.proclub.txt 1.2:
	* Install/resources/readme.txt 1.2:
		[-] Убрал дублирующиеся части
		[-] Копирайты на COM-компоненты теперь в СистемныеФайлы/readme.txt

	* Скрипты/Разное/ОткрытьВПредприятии.vbs 1.4:
		[*] в пути имя директории sys заменено на system (чтобы соответсвовало
		структуре директорий, создаваемых инсталлером)

	* Install/utils.nsh 1.3:
		[-] проверка на наличие PerlScript в системе не работала

	* Скрипты/Навигация/Навигация.vbs 1.43:
		[*] если макрос ToggleWorkbookPage() вызывается не из workbook-документа
		то его действие отменяется (для того чтобы вернуть стандартное поведение,
		если макрос навешивается на Ctrl+Tab)

	* Скрипты/Разное/Меню макросов из файла.vbs 1.9:
		[-] не работали вызовы для js-макросов
		[*] отступы пробелами заменены на табуляцию

	* Install/plugins/SubSystems.nsh 1.2:
	* Install/plugins/un.SubSystems.nsh 1.2:
		[*] Обновления в связи с выходом SubSystems 1.3.3.0

	* Install/Installer.txt 1.2:
	* Install/OpenConf.nsi 1.2:
	* Install/TODO.txt 1.2:
	* Install/parameters.nsh 1.2:
	* Install/system.nsh.pl 1.2:
		[*] добавлены комментарии, мелкие исправления

	* Install/resources/HotKeys.reg 1.1:
		Клавиатурные сокращения по умолчанию

	* Install/utils.nsh 1.2:
		[+] Макрос для проверки, установлен ли PerlScript

	* Install/tools/scripts.nsh.pl 1.2:
		[-] забыл про расширение pl
		[-] имена файлов, содержащих пробелы, теряли часть имени
		до последнего пробела

	* Скрипты/Intellisence/VimComplete.js 1.3:
		[*] если макросы вызываются не в текстовом окне,  то их выполнение
		отменяется (и Ctrl+N, например отрабатывает стандартно - создает новый
		документ)

	* Install/addons.nsh 1.1:
		[+] скрипты установки дополнительных утилит

2005-08-04	adirks
	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.7:
		[-] При вставке кода с указанием процедуры за тело процедуры считался весь текс от начала процедуры до конца файла.
		[-] При замене кода не учитывалося тот факт, что новый код м.б. многострочным, и неправильно расставлялись отступы.
		[-] Метод trim() неправильно работал с многострочным текстом.

2005-07-27	a13x
	* Скрипты/Редактирование/CodeWorks/cwHelper.txt 1.2:
		[*] уточнена инструкция по установке

	* Скрипты/Редактирование/CodeWorks/cwHelper.js 1.1:
	* Скрипты/Редактирование/CodeWorks/cwHelper.txt 1.1:
	* Скрипты/Редактирование/CodeWorks/cwHelperLoader.js 1.1:
	* Скрипты/Редактирование/CodeWorks/cwProject.wsc 1.1:
	* Скрипты/Редактирование/CodeWorks/html/cwHelper.htm 1.1:
	* Скрипты/Редактирование/CodeWorks/html/style.css 1.1:
		Редактор файлов-шаблонов для CodeWorks, исходная версия

2005-07-27	adirks
	* Скрипты/Редактирование/CodeWorks/CodeIns.txt 1.4:
	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.6:
	* Скрипты/Редактирование/CodeWorks/ФормаДокумента.pl 1.2:
	* Скрипты/Редактирование/CodeWorks/ФормаЭлемента.pl 1.3:
		[+] метод RemoveCode() для удаления блока кода, ограниченного маркерами 
		заданного типа

2005-07-25	a13x
	* Скрипты/Редактирование/mb_utils.js 1.2:
		[+] путь к исполняемому файлу внешнего редактора берется из реестра,
		если таковой еще не задан, открывается диалог выбора исполняемого
		файла внешнего редактора, который в последствии и используется;
		редатор по умолчанию - вездесущий notepad.exe

2005-07-23	artbear
	* Скрипты/Разное/Разработка скриптов.vbs 1.12:
		[+] макрос "SelectActionForScript"
		  - новые действия
		      "Копировать в репозитарий"
		      "Обновить из репозитария"
		      "Сравнить с версией из репозитария"
		  - если в текущем окне редактируем скрипт, имя скрипта должно быть в начале списка выбора;
		  - имя скрипта, выбранного в прошлый раз, также должно быть в начале списка выбора;
		  - возможностm использования действий для этого скрипта;
		  - для текущего редактируемого скрипта некоторые действия недоступны;
		[-] ReloadOpenedScript выдавал ошибку, если текущее окно не модуль;

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.9:
		[+] макрос "DiffSelectionWithClipboard" сравнивает выделенный текст с текстом из 
		буфера обмена;

	* СистемныеФайлы/CommonServices.wsc 1.41:
		[+] добавил версию скрипта;

	* Скрипты/Разное/Разработка скриптов.vbs 1.11:
		[*] макрос "SelectActionForScript" после открытия текста скрипта показывает 
		список его методов;

	* Скрипты/Навигация/NavigationTools.vbs 1.19:
		[+] новый макрос "GotoControlOrFormula" - В зависимости от контекста (форма или модуль) выполняется
		переход на процедуру или элемент управления соответственно;
		[*] макросе "GotoControlWithFormula" - если всего один элемент управления использует в формуле выделенное в тексте слово,
		список для выбора не выдается, а сразу выполняется переход на элемент;
		[-] в макросе "GotoControlWithFormula" при поиске не учитывался самый первый элемент управления;
		[+] добавил версию скрипта;

	* СистемныеФайлы/CommonServices.wsc 1.42:
		[+] метод "Sleep"

	* Скрипты/ВерсионныйКонтроль/Версия.vbs 1.1:
		[+] Хранение версии для внешнего отчета
		Исходная версия

	* Скрипты/Редактирование/mb_utils.js 1.1:
		[+] Полезные макросы от alest
		+Макрос "save" - для модулей перед записью удаляет в концах строк табы и пробелы
		+Макрос "reloadActiveWnd" - выполняет перезагрузку текста для активного окна
		+Макрос "reloadAllFiles" - выполняет перезагрузку для всех открытых текстовых окон
		  после cvs update особенно полезно
		+Макрос "copyFilePath" -- копировать в буфер путь открытого в активном окне файла
		+Макрос "openFileWithEditor" - открыть файл активного окна в другом редакторе
		Исходная версия

	* Скрипты/Разное/Разработка скриптов.vbs 1.10:
		[+] новый макрос "SelectActionForScript" выдает список всех загруженных скриптов
		и для выбранного скрипта позволяет выполнить определенные действия
		(Открыть текст, перезагрузить скрипт, выгрузить скрипт);
		[+] добавил версию скрипта;

	* Скрипты/РаботаСФормами/Создать кнопку на форме.vbs 1.7:
		[*] макрос CreateButtonReset - вставляет кнопку "Перезагрузить отчет", которая работает всегда и не  зависит от 1С++;
		[-] отключил таймер;

2005-07-22	a13x
	* Скрипты/MD_Tasks/autoload.vbs 1.4:
		[*] убрано сообщение "Not Autoload" при обычном запуске 1С (без ключа /q)

	* СистемныеФайлы/DynWin9x/dynwrap.dll 1.1:
	* СистемныеФайлы/DynWin9x/readme.txt 1.1:
		[+] версия DynWrap для ОС семейства Win9X/ME

	* Install/.cvsignore 1.1:
	* Install/Installer.txt 1.1:
	* Install/OpenConf.ini 1.1:
	* Install/OpenConf.nsi 1.1:
	* Install/TODO.txt 1.1:
	* Install/build.bat 1.1:
	* Install/clear.bat 1.1:
	* Install/docs.nsh 1.1:
	* Install/parameters.nsh 1.1:
	* Install/plugins/ClassesWizard.nsh 1.1:
	* Install/plugins/ExtFormsTree.nsh 1.1:
	* Install/plugins/FDSubst.nsh 1.1:
	* Install/plugins/HistoryPlugin.nsh 1.1:
	* Install/plugins/Inspector2.nsh 1.1:
	* Install/plugins/Oc2Vba.nsh 1.1:
	* Install/plugins/SubSystems.nsh 1.1:
	* Install/plugins/Telepat20.nsh 1.1:
	* Install/plugins/Vis1Cpp.nsh 1.1:
	* Install/plugins/plugins.nsh 1.1:
	* Install/plugins/un.ClassesWizard.nsh 1.1:
	* Install/plugins/un.ExtFormsTree.nsh 1.1:
	* Install/plugins/un.FDSubst.nsh 1.1:
	* Install/plugins/un.HistoryPlugin.nsh 1.1:
	* Install/plugins/un.Inspector2.nsh 1.1:
	* Install/plugins/un.Oc2Vba.nsh 1.1:
	* Install/plugins/un.SubSystems.nsh 1.1:
	* Install/plugins/un.Telepat20.nsh 1.1:
	* Install/plugins/un.Vis1Cpp.nsh 1.1:
	* Install/release/.cvsignore 1.1:
	* Install/resources/readme.proclub.txt 1.1:
	* Install/resources/readme.txt 1.1:
	* Install/scripts/.cvsignore 1.1:
	* Install/scripts/Intellisence.nsh 1.1:
	* Install/scripts/RunAllIntellisence.nsh 1.1:
	* Install/scripts/author.nsh 1.1:
	* Install/scripts/code_beautifier.nsh 1.1:
	* Install/scripts/filters.txt 1.1:
	* Install/scripts/navigator.nsh 1.1:
	* Install/scripts/scripts.nsh 1.1:
	* Install/scripts/un.Intell.nsh.pl 1.1:
	* Install/scripts/un.Intellisence.nsh 1.1:
	* Install/scripts/un.RunAllIntellisence.nsh 1.1:
	* Install/scripts/un.author.nsh 1.1:
	* Install/scripts/un.navigator.nsh 1.1:
	* Install/system.nsh 1.1:
	* Install/system.nsh.pl 1.1:
	* Install/tools/flst.bat 1.1:
	* Install/tools/gen_nsh.pl 1.1:
	* Install/tools/scripts.nsh.pl 1.1:
	* Install/utils.nsh 1.1:
		Исходная версия NSIS-скриптов инсталлятора для OpenConf и
		служебных скриптов для его сборки

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.8:
		[+] чтение пути к исполняемому файлу kdiff3 из реестра (на случай, когда его нет 
		в path)

	* СистемныеФайлы/regall.bat 1.1:
	* СистемныеФайлы/regfiles.js 1.1:
	* СистемныеФайлы/unregall.bat 1.1:
		[+] скрипты для автоматической регистрации/отмены "системных"
		*.dll и *.wsc файлов  в правильном порядке

	* Скрипты/Intellisence/VimComplete.js 1.2:
		[-] исправлена ошибка "съедания" конца строки
		[-] исправлена ошибка: не об'null'ялась ссылка на уже закрытый документ,
		в результате чего при попытке вызвать подстановку выводилось сообщение
		об ошибке

	* Скрипты/Intellisence/Intellisence_DocRef.vbs 1.2:
		[-] исправлена ошибка: не в том порядке инициализировались объекты
		"Телепат" и "CommonServices"

	* СистемныеФайлы/readme.txt 1.3:
		[+] Подробное описание всех *.dll и *.wsc файлов и способов их регистрации

2005-07-22	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.43:
	* Скрипты/Intellisence/dots.vbs 1.13:
		[*] разрешил ввод значений не из предлагаемого списка, когда использую выбор из 
		объекта "Svcsvc.Service"

2005-07-21	artbear
	* СистемныеФайлы/CommonServices.wsc 1.40:
		[*] не работал метод "CopyClipboard"

2005-07-20	adirks
	* СистемныеФайлы/1CLangParser/lang1c.tab.cpp 1.1:
	* СистемныеФайлы/1CLangParser/lang1c.y 1.1:
	* СистемныеФайлы/1CLangParser/parser.c 1.1:
	* СистемныеФайлы/1CLangParser/parser.cpp 1.1:
	* СистемныеФайлы/1CLangParser/parser.h 1.1:
	* СистемныеФайлы/1CLangParser/parser_test.cpp 1.1:
	* СистемныеФайлы/1CLangParser/parser_test.dsp 1.1:
	* СистемныеФайлы/1CLangParser/parser_test.dsw 1.1:
		[+] Простейшая реализация парсера языка 1С. Строит грамматическое дерево. Для 
		каждого узла дерева можно получить его текст и координаты в исходном файле. 
		Терминальными узлами дерева являются лексемы (класс CLexema).  Методы доступа к 
		дереву пока не реализованы - если кому-то понадобятся, тогда сделаем.

	* Скрипты/Навигация/Навигация.vbs 1.42:
		[*] В методах TryClassMethodJump и TryToOpenClass формируем заголовок окна в 
		виде   "класс "+ИмяКласса

2005-07-18	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.18:
		[+] Новый макрос GotoControlWithFormula, обратный GotoFormula
		берёт слово под курсором и ищет все контролы где в формуле есль это слово
		выдаёт список этих контролов, и при выборе активизирует его на форме

2005-07-15	artbear
	* Скрипты/Навигация/Навигация.vbs 1.41:
		[-] макрос "SelectAndNavigateToClasses" выдавал ошибку, если выбранный класс 
		находится в текстовом файле, а не в ert-файле.

2005-07-13	artbear
	* Скрипты/Разное/excelfiledialog.vbs 1.1:
		[+] Файловый диалог Excel в конфигураторе
		Исходная версия.
		Автор: Пим Сибирский ( Aphanas )

2005-07-10	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.42:
		[-] вернул макрос "CopyLine"

2005-07-01	artbear
	* Скрипты/ВерсионныйКонтроль/cvs.vbs 1.4:
		[+] возможность задавать репозитарий, с которым работаем;
		[+] реализация операции "commit";
		[+] макрос "RunWinCVS2" - вызов WinCVS 2.0;
		[*] не работал метод "UpdateFolder";
		[+] добавил в текст номер версии скрипта;

2005-06-30	artbear
	* Скрипты/ВерсионныйКонтроль/extforms.vbs 1.3:
		[+] предупреждение о том, что папки источника и приемника не должны совпадать, 
		иначе скрипт не будет работать.

2005-06-29	a13x
	* Скрипты/Редактирование/author.js 1.8:
		[-] баг с "обрезанием" последнего символа, когда последняя строка
		выделенного блока была последней строкой модуля

2005-06-29	adirks
	* Скрипты/Навигация/Навигация.vbs 1.40:
		[*] В методе SelectAndNavigateToClasses после открытия окна формируем ему 
		заголовок в виде   "класс "+ИмяКласса

2005-06-21	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.17:
		21.06.05
		[+] Для формул вида "ОткрытьФорму("Справочник.Номенклатура",Конт)"
		Осуществляется переход к дереву МД к "Справочник.Номенклатура"
		[+]в макросе SelectMetadataAndGotoObj убран из списка вариант "Форма.Модуль" там где он ненужен,
		      добавлена проверка, открыто ли окно конфигурации, если нет, то открывается.

	* Скрипты/Навигация/navigator.js 1.6:
		[*]в макросе ОткрытьДругойМодульДляТекущегоОбъекта
		в случае документа происходит просто toggle между
		модулем проведения и модулем формы, без списка выбора

	* Скрипты/Навигация/Навигация.vbs 1.39:
		[+]макрос TryToOpenObject:
		 - если есть выделенный текст, то за полное имя открываемого объекта пробуем взять его
		   отключается - flSelSensitive
		 - когда в конфигурации есть одинаковые метаданные типа
		   Документ.Резерв и Регистр.Резерв
		   и стоим в тексте на Регистре, то Навигация пыталась
		   открыть Документ, теперь выдаётся список выбора

2005-06-21	artbear
	* СистемныеФайлы/fecho.exe 1.1:
	* СистемныеФайлы/fecho.txt 1.1:
		[+] Исходная версия консольная утилиты
		Назначение - дублирование stdin на консоль,
		и в stdout
		Автор - orefkov

2005-06-20	artbear
	* Скрипты/Навигация/Навигация.vbs 1.38:
		[-] для констант предлагалось выбрать "Форма.Модуль"

2005-06-17	a13x
	* Скрипты/Редактирование/author.js 1.7:
		[+] расширен формат даты (вставка времени в произвольном формате)
		[-] баг с бесконечным выделением (предыдущий раз не был исправлен)
		[*] html-файл диалога создается теперь во временной директории
		[*] небольшой рефакторинг

	* Скрипты/Разное/DocPath.js 1.1:
		Макросы для показа/копирования в буфер обмена полного пути
		открытого документа (внешнего отчета, мокселя или текстового файла),
		исходная версия (апрель, 2005)

2005-06-16	artbear
	* ВспомогательныеДанные/Intell/АтрибутФормы.ints 1.1:
	* ВспомогательныеДанные/Intell/РасширениеФормы.ints 1.1:
	* ВспомогательныеДанные/Intell/СервисРасшФормы.ints 1.1:
		[+] методы соответствующего класса 1С++
		исходная версия from Varelchik

	* ВспомогательныеДанные/Intell/AddIn.AddInMail.ints 1.1:
		[+] методы ВК ROM-Mail
		исходная версия

	* Скрипты/Intellisence/Intellisence.vbs 1.41:
		[+] на конструкции
		ТЗ // :|
		макрос "MethodList" выдает позволяет выбрать тип значения из списка всех объектов и классов 1С++

	* Скрипты/Intellisence/Intellisence.vbs 1.40:
		[+] новые макросы:
		  "SelectAndPasteTypeFromPossibleTypes"
		  "AddTypeDefinition"
		[-] убрал из списка макросов
		  CopyLine - в скрипте "Замена кода" более мощная процедура;
		  GetType - не используется;
		[*] рефакторинг выбора из списка;
		[*] когда происходит выбор из списка в случае отмены выбора пользователем (ESC),
		точка в текст не вставляется;
		[+] комментарии ко всем макросам;

2005-06-15	metaeditor
	* Скрипты/MD_Tasks/ExtractAllReporstIntoExternalFiles.vbs 1.2:
		[*] поправлен для работы с новым опенконфом и NavigationTools

2005-06-15	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.38:
		[-] баг при анализе конструкций типа тз.Загрузить(Опаньки()) - проблема со скобками для регулярного выражения;
		[*] более развернутые отладочные сообщения об ошибках.

	* Скрипты/Intellisence/Intellisence.vbs 1.39:
		[-] баг при объявлении типа переменной на первой строке модуля;

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.11:
		[*] небольшие комменты по использованию;

2005-06-10	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.16:
		04.05.05
		[+] переход к типу выделенного элемента в дереве МД
		
		05.05.05
		[+] отображение типа реквизитов в дереве(SelectInTree) выбранного элемента МД, отключается в Init - flShowTypes
		
		28.05.05
		[*] GotoFormula: Получение формулы c помощью нового функционала OpenConf 1.0.2.0
		
		29.05.05
		[+] Для процедур типа:
			Функция ПриВыбореЗначения(Об="",ДопПарам="")
				// Рекурсивная Функция обработки всех экранных объектов.
				// CASE По реквизитам документа
				Если Об="" Тогда Об=Форма.АктивныйЭлемент(); КонецЕсли;
		
				Если Об="ДатаДок" Тогда
					...
				ИначеЕсли Об="Склад" Тогда
					...
				ИначеЕсли Об="Номенклатура" Тогда
					...
				Конецесли
			КонецФункции
			Добавлено следующее поведение:
			Если в первых 15 строках - не комментариях тела процедуры есть "=Форма.АктивныйЭлемент()"
			и идентификатор активного  элемента формы например = "Номенклатура"	тогда
			осуществляется переход к строке вида "ИначеЕсли Об="Номенклатура""
			отключается в Init - flTryGotoActiveElementStatement
		
		10.06.05
		Поправлено рег. выражение для распознавания строк, например:
		Если (Об="Пк1") ИЛИ (Об="Пк2") ИЛИ (Об="спВидовТехКарт") И (Пар = 10) Тогда

2005-06-10	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.37:
		[+] (a13x) автодополнение с середины слова;
		[+] явное задание типа переменной при помощи комментария вида //:<ТипОбъекта> ;
		[+] добавлена поддержка методов классов 1С++
		  - "ПолучитьБазовыйКласс";
		  - "НазначитьБазовыйКласс";
		  - "ЗаменитьЭксзБазовогоКласса";
		[-] баг в методе "ShowTooltip";

	* Скрипты/Intellisence/dots.vbs 1.12:
		[-]  баг, возникающий при закрытии всех окон (через меню) - если переданное окно 
		уже не существует

2005-05-18	adirks
	* Скрипты/MD_Tasks/ОбъединениеМД.vbs 1.5:
		[*] Исправлено описание

	* Скрипты/MD_Tasks/ОбъединениеМД.vbs 1.4:
		[+] Добавлен функционал для работы с CVS.  Можно в один приём забрать последнюю 
		версию из CVS, собрать МДшник, и загрузить его (макрос LoadAndMerge).  Макрос 
		PutOnCVS разбирает МДшник при помощи .bat - файла (decompile.bat в каталоге базы)
		, и запускает WinCVS. Для работы с CVS в ini - файле д.б. два параметра: 
		CVS_Path - каталог рабочей копии, и LatestVersion - имя файла, в который будет 
		собираться МДшник после cvs update.

2005-05-04	metaeditor
	* Скрипты/Навигация/NavigationTools.vbs 1.15:
		[+] в макросе SelectMetadataAndGotoObj добавлен список вариантов
		  перехода для выбранного элемента

2005-04-29	a13x
	* Скрипты/Редактирование/author.js 1.6:
		[*] Опция "Не использовать отступ" распространена на все типы маркера
		[+] Новый макрос ВставитьТекст() - вставляет текст из буфера обмена,
		с добавлением соответствующих маркеров
		[-] Когда выделение в последней строке блока уходло в "бесконечность"
		после добавления маркировки в блок включалась также следующая за выделенным
		блоком строка

2005-04-28	metaeditor
	* Скрипты/Навигация/Навигация.vbs 1.37:
		[+] переход к типу выделенного в дереве объекта метаданных
		  (через NavigationTools.GoToSelectedMDTreeItemType)

	* Скрипты/Навигация/NavigationTools.vbs 1.14:
		[+] переход к типу выделенного в дереве объекта метаданных

	* Скрипты/Разное/ChangeKbdLayout.vbs 1.1:
		[+] переключение раскладки клавиатуры. исходная версия

2005-04-26	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.36:
		[+] макросы включения/отключения отладочных сообщений

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.9:
		[-] убрал отладочное сообщение OnMsgBox

	* СистемныеФайлы/CommonServices.wsc 1.39:
		[+] метод "InputBox" для использования в JS-скриптах

	* Скрипты/Редактирование/Замена кода.vbs 1.11:
		[+] добавил вариант поведения при вставке функции в код -
		вместо "Перем1 = СокрЛП|Перем2;" ставится "Перем1 = СокрЛП(|Перем2;" -
		сделано путем ввода соответствующей переменной "bDontInsertEndCommaInTelepatReplaceFlag"

2005-04-23	a13x
	* Скрипты/Редактирование/author.js 1.5:
		[-] опечатка в теге Revision

	* Скрипты/Редактирование/author.js 1.4:
		[*] рефакторинг (преимущественно setMarker())
		[-] не правильное позиционирование после вставки блока
		[+] добавлены опции:
		     Не использовать отступ при изменении/замене
		     Не копировать старый код перед изменением
		     Не добавлять сигнатуру в закрывающий маркер блока

2005-04-23	artbear
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.10:
		[-] убрал вызов скрипта Intellisence только если после точки ничего нет,
		т.к. упускали некоторые возможности. Например,
		Если ВидРасчета. Тогда

	* Скрипты/Intellisence/Intellisence.vbs 1.35:
		[+] работа с метаданным ГруппаРасчетов;
		[+] возможность получения отладочных сообщений;

	* Скрипты/MD_Tasks/MD to Archiv.vbs 1.4:
		[+] Макрос для быстрого открытия файла Manage1C_Config.ini

	* Скрипты/Разное/УбратьНенужныеОкна1C.vbs 1.4:
		[+] пример перебора дочерних окон - метод "EnumChildWindows";
		[+] получение инфы об окне - заголовок + имя класса окна - метод "GetWindowInfo";

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.7:
		[*] Временные файлы создаются во временной папке, а не в каталоге базы;
		[*] при выборе файла для сравнения можно выбирать и файлы *.1s;

2005-04-22	metaeditor
	* Скрипты/Навигация/Навигация.vbs 1.36:
		[+] добавлен третий параметр в местах вызова
		NavigationTools.GoToMDTreeItem

	* Скрипты/Навигация/NavigationTools.vbs 1.13:
		[+] GotoFormula :
		добавлен поиск формулы из неактивного пришпиленного окна свойств с помощью АртВин.Вин
		
		[*] GotoMDTreeItem :
		- переделан на Опенконф 1.0.1.9
		- добавлен третий параметр ShowChilds - имеет значение только если передали путь
		  состоящий из двух частей (например "Справочник.Номенклатура") И переданное
		  метаданное имеет подуровни (реквизиты, шапка, значения)  - вызывается список этих подуровней
		  иначе сразу осуществляется переход
		-в ТУДУ: переход к типу выделенного в дереве объекта метаданных

2005-04-20	artbear
	* Скрипты/Конструкторы/Конструкторы справочников.vbs 1.2:
		[+] во всех макросах ручной ввод вида справочника заменен на выбор из списка 
		видов справочников;

	* Скрипты/Конструкторы/Конструкторы документов.vbs 1.2:
		[+] во всех макросах ручной ввод вида документа заменен на выбор из списка видов 
		документов;

2005-04-19	artbear
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.9:
		[-] точка не должна работать в комментариях

2005-04-14	metaeditor
	* Скрипты/Навигация/ScriptMethodList.vbs 1.6:
		[-] пробный коммит (убран комментарий)

	* Скрипты/Навигация/ScriptMethodList.vbs 1.5:
		[+] пробный коммит (комментарий)

2005-04-14	artbear
	* Скрипты/Разное/УбратьНенужныеОкна1C.vbs 1.3:
		[+] на всякий случай добавил дополнительные проверки листбокса -
		должно быть всего два элемента,
		у второго элемента текст длиной 51 символ.

	* СистемныеФайлы/svcsvc.txt 1.1:
		[+] Описание работы svcsvc.dll

	* Скрипты/Разное/УбратьНенужныеОкна1C.vbs 1.2:
		[*] учтено, что баг DynaWrap с возвратом текстовой строки более 50 символов появляется не всегда;
		[-] отладочные сообщения.

	* Скрипты/Навигация/ScriptMethodList.vbs 1.4:
		[+] новый макрос "ShowMethodsList", который в случае нахождения в окне скрипта (vbs,js,wsc) вызывает макрос "ScriptMethodsList",
		а иначе просто показывает окно "Методы модуля" от Опенконф.
		Удобно посадить на Ctrl+1

	* СистемныеФайлы/svcsvc sample.vbs 1.1:
		[+] Примеры работы с svcsvc.dll

	* Скрипты/Разное/УбратьНенужныеОкна1C.vbs 1.1:
		[+] Исходная версия
		 в случае появления окна "Реорганизация информации", где написано, что
		 "Изменения в метаданных не вызвали изменений в данных",
		 автоматом нажимаю "Принять" и окно не появляется на экране.

2005-04-13	slavka
	* Скрипты/Редактирование/bufer.vbs 1.2:
		Подправлен макрос ToggleCase. Теперь точно как в ворде, если выделено несколько слов.
		т.е. будет не"Stone temple pilots",а  "Stone Temple Pilots".

2005-04-13	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.14:
		[-] баг - /m не должен быть последним в командной строке запуска.

2005-04-12	slavka
	* Скрипты/Разное/openconf settings.vbs 1.1:
	* Скрипты/Редактирование/bufer.vbs 1.1:
		Исходная версия

2005-04-12	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.13:
		[+] макросы "EnableDebugMessages" и "DisableDebugMessages" для показа отладочных сообщений;
		[*] более точная обработка командной строки - не всегда верно учитывался регистр.

2005-04-12	adirks
	* Скрипты/Навигация/Навигация.vbs 1.34:
		[*] В TryToOpenObject сначала пытаемся открыть модуль класса, и только потом всё 
		остальное. Иначе вместо класса ТДокумент.ВыпускПродукции открывается собственно 
		документ ВыпускПродукции

	* Скрипты/Навигация/Навигация.vbs 1.35:
		[-] Ошибка в названии метода

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.9:
		[*] Перед анализом хедеров из них удаляются комментарии

	* СистемныеФайлы/OpenIn1C.exe 1.7:
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.6:
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.5:
	* СистемныеФайлы/OpenIn1C/Makefile 1.3:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.5:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.dsp 1.2:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.rc 1.1:
	* СистемныеФайлы/OpenIn1C/ert1.ico 1.1:
	* СистемныеФайлы/OpenIn1C/ert2.ico 1.1:
	* СистемныеФайлы/OpenIn1C/main.ico 1.1:
		[+] Добавлены иконки для ассоциироания *.ert файлов в виндовозе

	* СистемныеФайлы/Register_OpenIn1C.vbs 1.1:
		Скрипт регистрирует утилитку OpenIn1C.exe в виндовозном реестре, и ассоциирует 
		её с расширением .ert

2005-04-10	a13x
	* Скрипты/Общие/Клавиатура.js 1.6:
		[+] макросы Искать, ПовторитьПоиск, ИскатьВперед, ИскатьНазад

	* Скрипты/Intellisence/Intellisence.vbs 1.34:
		[-] синтаксическая ошибка

2005-04-10	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.33:
		[+] Добавлена возможность определения строки, где была проинициализирована переменная
		[*] При отсутствии скриптлета SyntaxAnalysis.wsc скрипт не будет вылетать с ошибкой

	* Скрипты/Навигация/Навигация.vbs 1.33:
		[+] Добавлена возможность перехода к строке, где была проинициализирована переменная (VarDefJump, TryVarDefJump)
		[*] Изменён порядок попыток перехода в GoToObject

2005-04-09	slavka
	* ВспомогательныеДанные/Описание скриптов.doc 1.3:
		Добавлено небольшое описание нескольких системных файлов.

2005-04-09	a13x
	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.10:
		[+] (Богайчук С.) Если в модуле певая строка - директива
		"ЗагрузитьИзФайла", то она не копируется в буфер обмена,
		и наоборот, при вставке из буфера существующая директива
		не затирается, а остается в первой строке модуля

	* Скрипты/Разное/Разработка скриптов.vbs 1.9:
		[+] Учитывается, что имя отлаживаемого скрипта не обязательно
		совпадает с именем файла, а может быть задано с помощью
		директивы $NAME

	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.6:
		[*] Исправлена работа с относительными путями, при открытии
		относительных путей также учитывается, что для встроенных
		объектов конфигурации относительный путь разрешается по каталогу
		базы (IBDir), а для внешних отчетов и обработог - по каталогу, в котором
		они находятся

	* Скрипты/Intellisence/Intellisence_DocRef.vbs 1.1:
		Исходная версия. Позволяет осуществлять выбор из списка
		реквизитов конкретного справочника или документа: сначала
		выбирается вид справочника или документа, а затем предлагается
		выбрать его реквизит. Автора не помню. Прислал С.Богайчук.

	* СистемныеФайлы/CommonServices.wsc 1.38:
		[*] Метод CallMacros переписан на JS поскольку VBS не позволяет
		запускать макросы, имена которых заданы кирилицей
		[+] CallMacros теперь может вызываться как функция:
		возвращает значение - истина, если  вызываемый макрос отработал
		без ошибок и ложь в  противном случае, для использования в QuietMode

2005-04-06	artbear
	* Скрипты/Intellisence/dots.vbs 1.11:
		[+] ускорение анализа методов модулей, в т.ч. и глобального, примерно в 3-4 раза
		1) за счет кеширования (вместо doc.Range)
		2) за счет полного использования возможностей регулярных выражений (Match.FirstIndex) вместо повторного поиска в тексте;

2005-04-01	adirks
	* Скрипты/Редактирование/RunPerlScripts.vbs 1.3:
		[*] Можно форматировать выделенный блок.  Но выделять надо целиком процедуру или 
		несколько - иначе отступы будут неправильные.

	* Скрипты/Редактирование/CodeWorks/CodeIns.txt 1.3:
	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.4:
		[+] Добавлен метод RemoveProc()

	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.5:
		[-] В RemoveProc() не удалялась последняя строка

2005-03-31	artbear
	* Скрипты/Навигация/NavigationTools.vbs 1.12:
		[+] Макрос "SelectMetadataAndGotoObj" для выбора нужного метаданного из списка 
		метаданных и перехода к нему

2005-03-31	adirks
	* СистемныеФайлы/OpenIn1C.exe 1.6:
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.5:
		[*] Немножко поправлено, чтоб работало в терминале, и не показывало чужих 
		процессов

2005-03-30	adirks
	* Скрипты/Разное/ОткрытьВПредприятии.vbs 1.2:
		[*] Если 1С не была запущена, то она запускается

	* Скрипты/Разное/ОткрытьВПредприятии.vbs 1.3:
		[+] Задаётся пауза для запуска 1С
		[+] Для документов открывается полный журнал

	* Скрипты/Общие/Шорткаты.vbs 1.10:
		[+] Макрос Run1CInExlusiveMode()  - стандартная кнопка F11

	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.3:
		[-] При вставке процедуры некорректно анализировался список "вставлять перед".
		[*] Более интеллектуальный учёт комментариев при определении места вставки.

	* СистемныеФайлы/OpenIn1C/WinMain.cpp 1.2:
		лишний файл

	* ВспомогательныеДанные/Intell/intell.ini 1.4:
	* Скрипты/Intellisence/Intellisence.vbs 1.32:
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.8:
		[*] Добавлен параметр SHOWTOOLTIPS в  intell.ini

	* СистемныеФайлы/OpenIn1C.exe 1.5:
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.4:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.4:
		[-] Исправлена ошибка, возникавшая на WinXP
		[+] При старте одновременно с 1С можно указать паузу, чтобы 1С успела проинициализироваться.
		[+] Контроль максимальной ширины. Окно не должно вылазить за экран.

	* СистемныеФайлы/OpenIn1C.exe 1.4:
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.3:
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.4:
	* СистемныеФайлы/OpenIn1C/Get_Opt.cpp 1.2:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.3:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.h 1.3:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.h 1.4:
		[+] Добавлена отработка ожидания запуска 1С.

2005-03-28	a13x
	* Скрипты/Редактирование/Brackets.vbs 1.5:
		[*] мисспеллинг Brasket/Bracket
		[*] Отступы sw=4, форматирование
		[+] Проверка в макросах на (doc == null)
		[*] в NameDelimeters вместо символа \t были 2 пробела (у кого-то стоит expandtab в настройках редактора),
		заменил конкатенацией с vbTab во избежание подобных случаев

	* Скрипты/Intellisence/Intellisence.vbs 1.31:
		[*] MethodList() изменен тип возвращаемого значения с bool на int:
		-1 - пользователь нажал ESC (отменил автовыбор)
		0 - Intell не смог составить список слов для автоподстановки
		1 - автоподстановка выполнена успешно

	* Скрипты/Общие/Шорткаты.vbs 1.9:
		[+] Макросы FarCtrlPgUp и FarCtrlPgDown - переход к первой/последней
		строке в редакторе текста с запоминанием перехода в стеке Телепата
		[+] Макрос ClassicCtrlA - классическое выделение всего текста текущего
		окна редактора текстов 1С

	* СистемныеФайлы/OpenConf.RegistryIniFile.wsc 1.3:
		[*] Исправлена опечатка - русская "c" в методе SetConfig() (Config = c)

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.7:
		[*] Алгоритм последовательного вызова Intell'а и Dots'а вынесен
		в отдельный макрос ShowMethodsList()
		[+] Telepat_OnShowMemberList() - использование ShowMethodsList()
		[+] ShowMethodsList() - если список автоподстановки Intell'а отменен
		пользователем по ESC Dots не вызывается
		[+] При инициализации, из файла настроек Интела читается
		параметр TELEPAT и если его значение отлично от "ДА",
		не обрабатывается событие Телепата OnShowMemberList (как в Интеле)

2005-03-28	adirks
	* СистемныеФайлы/OpenIn1C.exe 1.1:
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.1:
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.1:
	* СистемныеФайлы/OpenIn1C/Get_Opt.cpp 1.1:
	* СистемныеФайлы/OpenIn1C/Makefile 1.1:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.1:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.dsp 1.1:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.dsw 1.1:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.h 1.1:
	* СистемныеФайлы/OpenIn1C/WinMain.cpp 1.1:
	* СистемныеФайлы/OpenIn1C/get_opt.h 1.1:
		Открывалка файлов в 1С. В режиме предприятия открывает также и отчёты 
		конфигурации, справочники, журналы документов.

	* СистемныеФайлы/OpenIn1C.exe 1.2:
	* СистемныеФайлы/OpenIn1C/1C_Processes.cpp 1.2:
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.2:
	* СистемныеФайлы/OpenIn1C/Makefile 1.2:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.cpp 1.2:
	* СистемныеФайлы/OpenIn1C/OpenIn1C.h 1.2:
		[*] Если 1С ещё не успела полностью загрузиться, то ждём. Это позволяет открыть 
		объект из конфигуратора, когда 1С ещё не была запущена.

	* Скрипты/Разное/ОткрытьВПредприятии.vbs 1.1:
		Скрипт для открывания объектов в предприятии. Для работы требуется OpenIn1C.exe 
		из раздела СистемныеФайлы.

	* СистемныеФайлы/OpenIn1C.exe 1.3:
	* СистемныеФайлы/OpenIn1C/1C_Windows.cpp 1.3:
		[*] Добавлена небольшая задержка, чтобы 1С успела проинициализироваться.

2005-03-26	artbear
	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.9:
		[-] если необходимый файл по какой-то причине не удалось открыть (например, неверный пароль для внешней обработки),
		скрипт зацикливался.

	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.8:
		[+] теперь файл мгновенно (!!) открывается в нужном Конфигураторе;
		[+] при открытии файла нужный Конфигуратор становится активным;
		[*] ожидание по таймеру сделано не обязательным.

2005-03-25	adirks
	* Скрипты/MD_Tasks/ОбъединениеМД.vbs 1.3:
		[*] Отслеживается сообщение "ошибка разделения данных", и если файл занят, то 
		загрузка останавливается.

2005-03-24	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.30:
		[-] Ошибка с позиционированием при выборе варианта с автозаполнением.

2005-03-24	artbear
	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.7:
		[*] теперь скрипт может находиться как в папке Bin\Config\Script,
		так и в ее подпапках ( например, Bin\Config\Script\Разное )

	* СистемныеФайлы/OpenConf.RegistryIniFile.wsc 1.2:
		[-] избавился от необходимости использования библиотеки типов Опенконф;
		[*] опубликовал метод "GetDataFromIniFile" - получение данных из ини-файла;
		[-] баг при обновлении данных ини-файла;

2005-03-23	artbear
	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.2:
		[-] Спрятал методы из списка макросов;
		[+] Определяется список действующих Конфигураторов путем поиска соответствующих окон.

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.8:
		[-] при разборе описания класса ошибочно учитывалось описание, которое закомментировано типа
		//   класс Контрагенты = Контрагенты.ert : Справочник.Контрагенты, Общие.Справочник
		//   {
		//   };

	* Скрипты/Разное/Разработка скриптов.vbs 1.8:
		[-] Предыдущий коммит был неверным :(

	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.6:
		[+] поиск запущенных конфигураторов по заголовку их главного окна сделан опциональным;
		[*] описание

	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.4:
		[*] для точного определения, запущен Конфигуратор или с ним уже завершена работа,
		выставлю необходимый заголовок "Конфигуратор - < КаталогИБ >"

	* СистемныеФайлы/ArtWin.dll 1.1:
		[+] Маленький COM-объект для поиска главных и дочерних окон по их заголовкам.

	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.1:
	* Скрипты/Разное/Разработка скриптов.vbs 1.7:
		[+] Открытие файлов прямо из проводника, Фара и т.д. в нужном экземпляре Конфигуратора.
		Исходная версия.

	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.3:
		[*] более полное описание;
		[-] выдается предупреждение, если не зарегистрирована библиотека по поиску окон ArtWin.dll

	* Скрипты/Разное/ОткрытьВНужномКонфигураторе.js 1.5:
		[*] описание

2005-03-22	artbear
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.5:
		[-] при разборе описания класса не учитывались ситуации
		  1) "Classes\\Док.ert:Документ" - перед/после двоеточия нет пробела;
		  2) "Док = W:\\Зарплата Отладка\\Classes\Док.ert" - задание абсолютного пути;
		[-] если документ не ициализировался, а окно модуля все-таки открылось, это окно нужно закрыть;
		[-] при поиске открытого документа учитывалось написание  его пути ".\\Общие\\..\", а не абсолютный путь к файлу;

2005-03-22	adirks
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.7:
		[*]  Усовершенствовано регулярное выражение для отлова определений классов. 
		Теперь учитываюются и комментарии.

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.6:
		[*]  Усовершенствовано регулярное выражение для отлова определений классов

	* Скрипты/Навигация/Навигация.vbs 1.32:
		[*] Обращение к скрипту GoToMDTreeItem.vbs переделано на NavigationTools.vbs
		[*] Дополнено описание

2005-03-21	adirks
	* Скрипты/Навигация/Навигация.vbs 1.30:
		[*] Использование нового скрипта NavigationTools.vbs

	* Скрипты/Навигация/NavigationTools.vbs 1.8:
		[*] Объединены в один скрипты GotoFormula, GotoMdTreeItem (имена процедур сохранены для совместимости с Навигацией и др.)
		[*] Переработан код
		[*] Общие процедуры переделаны через CommonScripts
		[+] Добавлено следующее поведение GotoFormula: Если в формуле присутствует "#" то появляется выбор предопределённых процедур
		ПриОткрытии, ПриЗаписи, ПриЗакрытии, для документов также
		ОбработкаПроведения и ОбработкаУдаленияПроведения.
		[*] #ЗАГРУЗИТЬИЗФАЙЛА / глобальные / предопределённые  / процедуры из модуля проведения - 	работают в любом сочетании
		[+] Опциональный параметр поиска в ГМ если в текущем модуле процедуры не обнаружено (по умолчанию выключен, устанавливается в процедуре Init)
		[*] Вроде бы стало работать с длинными формулами
		[+] Если формула совпадает с шаблоном "ТипМетаданного.ВидМетаданного" то при наличии такого объекта в конфигурации происходит переход к нему. В связи с этим реализован следующий механизм: Если в окне свойств элемента никакой элемент не сфокусирован то ищется закладка "Тип" и в ней читается текст из комбобокса с типом. В общем, текст формулы считывается из любого сфокусированного элемента окна свойств (Формула, идентификатор, тип, Тип Значения (в диалоге свойств реквизита документа например)) если такого нет то пробуем определить тип и перейти к нему (ещо проще, по хоткею на закладке "Тип" переходим к дереву МД)
		[*] Макрос GoToMDTreeItem исправлен для работы со всеми типами метаданных
		[+] Добавлен небольшой макрос устанавливающий фокус ввода в поле поиска в тулбаре "Стандартная" (например, Ctrl+F без открытия диалога поиска)

	* Скрипты/Навигация/Навигация.vbs 1.31:
		[*] GoToFormula() и GoToMDTreeItem() из NavigationTools.vbs сделаны функцями.

	* Скрипты/Навигация/NavigationTools.vbs 1.11:
		[*] Процедура GoToMDTreeItem() сделана функцией для удобства каскадирования 
		скриптов.

	* Скрипты/Навигация/NavigationTools.vbs 1.9:
		[*] Проверка наличия окна в Configurator_OnActivateWindow()

	* Скрипты/Intellisence/Intellisence.txt 1.3:
		[*] Дополнено описание

	* Скрипты/Навигация/NavigationTools.vbs 1.10:
		[*] Процедура GoToFormula() сделана функцией для удобства каскадирования 
		скриптов.

	* Скрипты/Навигация/GoToFormula.vbs 1.4:
		Функционал скрипта перемещён в NavigationTools.vbs

	* Скрипты/Редактирование/CodeWorks/CodeIns.txt 1.2:
	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.2:
	* Скрипты/Редактирование/CodeWorks/ФормаЭлемента.pl 1.2:
		[+] Добавлены методы RemoveVarDecl(),RenameObject() и ReplaceCode()

2005-03-21	artbear
	* Скрипты/Intellisence/Intellisence.txt 1.4:
		[+] вставил полную историю из репозитария (ChangeLog)

	* Скрипты/Intellisence/Intellisence.vbs 1.29:
	* Скрипты/Intellisence/dots.vbs 1.10:
		[-] выдавалась ошибка, если ints-файл пуст

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.4:
		[*] TClassModule.Open
			если по какой-то причине не смогли открыть модуль,
			выдаю ошибку.

2005-03-20	artbear
	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.8:
		[*] если переданный файл конфигурации не существует, выдается ошибка.

	* Скрипты/ВерсионныйКонтроль/extforms.vbs 1.2:
		[-] исключил рекурсию,  если декомпилирую в подпапку исходной папки

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеНужныхКонфигураций.js 1.1:
		[+] исходная версия -
		загрузка/объединение необходимых конфигураций.

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеНужныхКонфигураций.js 1.2:
		[*] на всякий случай при проверке пути к конфигурации учел особенность JScript -
		в строках вместо одного знака \ нужно писать два \

	* СистемныеФайлы/OpenConf.RegistryIniFile.wsc 1.1:
		[+] Исходная версия -
			Функции для удобной работы с реестром или ини-файлом.
			Между использованием реестра и ини-файла довольно легко переключиться.

2005-03-20	adirks
	* ВспомогательныеДанные/Intell/intell.ini 1.3:
	* Скрипты/Intellisence/Intellisence.vbs 1.28:
		[+] В intell.ini добавлен параметр TELEPAT

	* Скрипты/Редактирование/CodeWorks/CodeIns.pl 1.1:
	* Скрипты/Редактирование/CodeWorks/CodeIns.txt 1.1:
	* Скрипты/Редактирование/CodeWorks/CodeWorks.pm 1.1:
	* Скрипты/Редактирование/CodeWorks/ФормаДокумента.pl 1.1:
	* Скрипты/Редактирование/CodeWorks/ФормаЭлемента.pl 1.1:
	* Скрипты/Редактирование/RunPerlScripts.vbs 1.2:
		[+] Скрипты для массовой вставки кода

	* Скрипты/Редактирование/code_beautifier.pl 1.2:
		[-] Обрезались пустые строки

2005-03-19	artbear
	* Скрипты/Навигация/Навигация.vbs 1.29:
		[+] автовставка версии скрипта;
		метод "TryToOpenFile" -
		[+] если предполагаемое имя файла нулевое, поиск не выполняю;
		[+] если в предполагаемом имени файла встречается запятая или точка с запятой, поиск не выполняю;

	* Скрипты/Редактирование/Форматирование текста.vbs 1.5:
		[+] автовставка версии скрипта;
		[*] рефакторинг - пользуюсь методами общего скриптлета;

2005-03-18	adirks
	* Скрипты/Навигация/Навигация.vbs 1.28:
		[+] метод TryGotoTree() выполняет переход к соотв. объекту в дереве метаданных.

2005-03-18	artbear
	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.7:
		[-] был неверно задан "отладочный" режим;

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.4:
		[*] основной метод теперь "DoAutomaticMDUpdate",
		он же возвращает результат загрузки/объединения

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.5:
		[*] если в базе кто-то работает, сохранение загруженной измененной конфы не выполняется,
		возвращается значение "неуспеха";
		[+] метод "DoAutomaticMDUpdateWithDebugMessages",
		добавил возможность вывода отладочных/более подробных сообщений о ходе работы;
		[+] тестовые методы с возможность показа отладочных сообщений.

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.6:
		[*] если загрузка измененной конфы невозможна (открыты объекты конфы),
		запускается объединение;

	* СистемныеФайлы/CommonServices.wsc 1.36:
		[+] метод "CommandLineToDictionary":
			Разложить командную строку на аргументы
			Аргументы складываются в словарь, в котором ключ - номер аргумента, значение - сам аргумент;

	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.12:
		[+] автовставка версии скрипта;
		[*] рефакторинг - раскладываю командную строку Конфигуратора через
		метод общего скриптлета "CommandLineToDictionary", а не через вызов специального скрипта.

	* СистемныеФайлы/CommonServices.wsc 1.37:
		[-] отладочные комментарии.

	* СистемныеФайлы/CommonServices.wsc 1.35:
		[+] метод "CStr":
			преобразовать значение в строку
			предназначено для использования в скриптах, написанных на JScript;
		[*] у метода "Debug" второй параметр стал необязательным;

2005-03-17	artbear
	* СистемныеФайлы/CommonServices.wsc 1.32:
		[+] методы "VBSort" и "SortString"

	* СистемныеФайлы/CommonServices.wsc 1.33:
		[+] метод "RegExpExecute";
		[-] " VBSort" - баг передачи неинициализированного массива;

	* СистемныеФайлы/CommonServices.wsc 1.31:
		[+] метод "CheckDocOnExtension":
		    Проверить, совпадает ли расширение пути документа с переданной строкой.

	* СистемныеФайлы/CommonServices.wsc 1.34:
		[*] комментарий:
		изменил объявление и вызов процедуры Init в скриптах

	* Скрипты/Навигация/NavigationTools.vbs 1.6:
		[+] автовставка версии скрипта;
		[*] теперь работает с любым типом метаданного;

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.3:
		[-] баг в тестовых методах

	* Скрипты/Навигация/ScriptMethodList.vbs 1.3:
		[*] мелкий рефакторинг

	* Скрипты/Intellisence/Intellisence.vbs 1.27:
		[-] забыл инициализировать объект общего скриптлета;

	* Скрипты/Навигация/ScriptMethodList.vbs 1.1:
		автор MetaEditor
		[+] скрипт показывает список методов редактируемого скрипта (пока только VBScript)

	* Скрипты/Intellisence/dots.vbs 1.9:
		[*] "SortStringForList" - рефакторинг;

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.1:
		[+] Исходная версия -
		Загрузка/объединение конфигураций в автоматическом режиме.

	* Скрипты/Intellisence/Intellisence.vbs 1.26:
		[*] рефакторинг: использование методов общего скриптлета

	* Скрипты/Навигация/NavigationTools.vbs 1.7:
		[-] баг инициализации;

	* Скрипты/Intellisence/dots.vbs 1.7:
		[+] добавил автовставку версии скрипта;
		[+] при редактировании скриптов скрипт не активизируется;
		[*] рефакторинг:
		   использование методов общего скриптлета,
		   избавление от дублирующего кода;

	* Скрипты/Intellisence/dots.vbs 1.8:
		[-] удалил макросы обрамления выделенного фрагмента текста.

	* Скрипты/MD_Tasks/ЗагрузкаОбъединениеМД.vbs 1.2:
		[+] возможность не использовать объединение конф, если загрузка не удалась;
		[*] комменты

	* Скрипты/Навигация/ScriptMethodList.vbs 1.2:
		[*] автовставка версии скрипта;
		[+] работа через регулярные выражения;
		[+] работает с любыми скриптами (vb, js, wsc);
		[*] сильный рефакторинг

2005-03-15	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.24:
		[-] бесконечный цикл при определении типа выражения

2005-03-15	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.25:
		[+] добавил автовставку версии скрипта в текст скрипта;

2005-03-14	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.23:
		[*] Более надёжная проверка наличия RunAllIntellisence.vbs

2005-03-13	adirks
	* Скрипты/Навигация/Навигация.vbs 1.27:
		[*] Убрана заглушка из метода TryToOpenClass()

	* Скрипты/Навигация/NavigationTools.vbs 1.5:
		[-] Ошибка в обработчике Configurator_OnActivateWindow(), связанная с тем, что 
		событие может отрабатываться с запаздыванием, когда окно уже закрыто.

2005-03-12	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.21:
		[-] ошибка объединения списков методов
		[-] ошибка при нажатии Esc
		[-] ошибка при определении необходимости обработки событий телепата
		[*] небольшой рефакторинг

	* Скрипты/Intellisence/Intellisence.vbs 1.22:
		[*] убрана отладочная печать

2005-03-12	artbear
	* СистемныеФайлы/CommonServices.wsc 1.30:
		[+] метод "TypeName":
			Получить тип переменной.
			для скриптлетов возвращается их guid,
			для COM-объектов возвращается наименование их интерфейсов

2005-03-11	a13x
	* Скрипты/Примеры/CommonServices_Test.js 1.3:
		[*] Ключевое слово $Id$

	* Скрипты/Примеры/CommonServices_Test.js 1.2:
		[*] Ключевые слова $Date$ и $Revision$ (тест автоподстановок CVS)

	* Скрипты/Примеры/CommonServices_Test.js 1.4:
	* Скрипты/Примеры/CommonServices_Test.js 1.5:
		[+] функция Version() - возвращает версию ($Revision$) срипта

	* СистемныеФайлы/CommonServices.wsc 1.25:
		[+] свойство Vesrion - текущая версия скриптлета

	* Скрипты/Примеры/CommonServices_Test.js 1.6:
		[+] макрос-пример проверки версии OpenConf.CommonServices

2005-03-11	artbear
	* Скрипты/Общие/Клавиатура.js 1.5:
		[-] неверные комменты :(

	* Скрипты/Intellisence/Intellisence.vbs 1.20:
	* Скрипты/Редактирование/Brackets.vbs 1.4:
		[-] неверный коммент;

	* Скрипты/Intellisence/Intellisence.vbs 1.19:
		[-] баг в работе GetType();
		[-] баг при использовании SelectDialog.dll;

	* Скрипты/Редактирование/Brackets.vbs 1.3:
		[-] баг
		в случае обрамителя функции  - выделялся не весь результирующий текст...

	* СистемныеФайлы/CommonServices.wsc 1.27:
		[*] метод "SelectValue":
		в случае передачи словаря для выбора ввод пользователем произвольных значений запрещен!

	* СистемныеФайлы/CommonServices.wsc 1.29:
		Метод "GetSelectedTextInAnyCase":
		[+] описание параметра;
		[*] по умолчанию строки целиком не выделяю;
		[*] Если ничего не выделено, возвращается строка, на которой находится курсор.

	* Скрипты/Навигация/Навигация.vbs 1.24:
		[+] метод "SelectAndNavigateToClasses":
		получение списка всех классов 1С++, выбор из списка и открытие файла класса,
		после успешного открытия класса показывается список методов для выбора нужного;
		[+] метод "UpdateClassesInfo";

	* СистемныеФайлы/CommonServices.wsc 1.28:
		[+] Свойство "SelectedText" для чтения/записи;
		[+] Метод "GetSelectedTextInAnyCase":
		Получить выделенный текст.
		Если ничего не выделено, возвращается строка, на которой находится курсор.
		Это режим по умолчанию, который можно изменить.

	* Скрипты/Навигация/Навигация.vbs 1.25:
		[+] рефакторинг "SelectAndNavigateToClasses":
		в "SelectValue" передаваю словарь классов (Dictionary).

	* СистемныеФайлы/CommonServices.wsc 1.26:
		[+] в методы "SelectValue" и "SelectValueVBS"
		теперь в качестве списка можно передавать словарь (Dictionary),
		в этом случае ключи словаря выводятся на экран для выбора, а возвращаются значения.

	* Скрипты/Навигация/Навигация.vbs 1.26:
		[-] ненужный код;

	* Скрипты/Общие/Клавиатура.js 1.4:
		[+] методы
		  "ОпенКонфПоказатьСписокМетодовМодуля";
		  "ОпенКонфПоказатьМенюШаблонов";
		  "ОпенКонфПоказатьМенюАвтозавершения";

2005-03-10	a13x
	* Скрипты/Редактирование/author.js 1.3:
		[+] спец. переменная %Time% - время внесения комментария (Клепицкий Евгений)

2005-03-09	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.18:
		[-] мелкие ошибки

	* Скрипты/Редактирование/RunPerlScripts.vbs 1.1:
	* Скрипты/Редактирование/code_beautifier.pl 1.1:
		Скрипт для полного переформатирования модуля.

2005-03-06	artbear
	* Скрипты/Конструкторы/Конструкторы ТЗ.vbs 1.2:
		[+] TODO: метод "НоваяСтрока"  не различает комментарии

	* СистемныеФайлы/CommonServices.wsc 1.23:
		[+] важные комментарии к "GetTextDoc";

	* Скрипты/Разное/Сохранение открытых окон.vbs 1.3:
		[+] Текстовые закладки также сохраняются/восстанавливаются;

	* Скрипты/Разное/Сохранение открытых окон.vbs 1.4:
		[*] TODO - если окно уже открыто, повторно не переоткрывать;
		[*] TODO - возможно, нужно проверять закладки на соответствие,
		т.к. передаю только номер строки закладки, а текст мог измениться;

	* Скрипты/Редактирование/Brackets.vbs 1.2:
		[-] скрипт выполняется только при открытом окне текста;
		[*] инкапсулировал вызов "FilterValue" объекта Svcsvc.Service;

	* Скрипты/Разное/Сохранение открытых окон.vbs 1.5:
		[*]  если окно документа уже открыто, повторно не переоткрывать,
		чтобы не сбрасывались закладки;

	* СистемныеФайлы/CommonServices.wsc 1.24:
		[+] метод "FindOpenDocument";

	* Скрипты/Разное/Сохранение открытых окон.vbs 1.6:
		[-] баг восстановления окна конфигурации;

	* Скрипты/Общие/Шорткаты.vbs 1.8:
	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.9:
		[-] макросы "CopyTextToClipboard" и "ReplaceTextFromClipboard" выполняются 
		только при открытом окне текста;

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.6:
	* Скрипты/РаботаСФормами/Создать кнопку на форме.vbs 1.5:
		[-] сравнение/объединение выполняются только при открытом окне текста;

	* Скрипты/РаботаСФормами/Создать кнопку на форме.vbs 1.6:
		[-] ошибочный коммит;

	* Скрипты/Редактирование/Brackets.vbs 1.1:
		[+] Исходная версия от авторов (trdm и MetaEditor);

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.5:
		[*] рефакторинг с использованием объекта "CommonScripts";
		[+] в случае отработки Intellisence.vbs на всякий случай вызывается окно подказки (Ctrl+Shift+Пробел);

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.6:
		[-] метод "DelCooment" заменил на "DelComment";

2005-03-05	adirks
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.3:
		[-] Удалено последнее упоминание ClearMemberList()

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.4:
		[*] Вернул на место SendKeys("{ESC}")

	* Скрипты/Intellisence/Intellisence.vbs 1.17:
		[*] Если присутствует скрипт RunAllIntellisence.vbs, то обработка событий 
		телепата не запускается

2005-03-04	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.15:
		[*] убрано отладочное сообщение

	* Скрипты/Intellisence/Intellisence.vbs 1.16:
	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.2:
		[*] Небольшие поправки на совместимость

	* Скрипты/Intellisence/Intellisence.vbs 1.14:
		[-] Ошибка в методе PossibleTypes()
		[*] MethodsList() теперь функция. Возвращает статус завершения.

	* Скрипты/Intellisence/RunAllIntellisence.vbs 1.1:
		Скрипт для последовательного запуска Intellisence.vbs и dots.vbs

2005-03-03	artbear
	* Скрипты/Intellisence/dots.vbs 1.6:
		[-] баг, если если переданное окно уже не существует
		например, при закрытии всех окон (через меню).

2005-03-03	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.13:
		[-] Исправлена ошибка определения конструкции СоздатьОбъект("|
		[*] Список типов для конструкции СоздатьОбъект("|  считывается из файла CreateObject.ints или СоздатьОбъект.ints
		[*] Удалён дубль метода AutoFill

	* ВспомогательныеДанные/Intell/БухгалтерскиеИтоги.ints 1.2:
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.2:
		[*] Добавлено немножко методов и типов

2005-03-02	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.12:
		[*] Построение списка классов происходит при первом обращении к методу 
		CppClassList() а не при старте скрипта

	* Скрипты/Intellisence/Intellisence.vbs 1.11:
		[*] Удалён код, анализирующий файл classes.ints - он нам больше не понадобится
		[*] В список типов, выдаваемых в конструкциях СоздатьОбъект(" и ПолучитьПустоеЗначение(" добавляются классы 1С++
		[*] Для заданных расширений (vbs, js, wsc) функционал интеллисенс не вызывается

2005-03-02	artbear
	* СистемныеФайлы/CommonServices.wsc 1.19:
		[+] Метод"GetConstantNameFromTree":
		Вывести дерево констант, сгруппированное по типам констант,
		и вернуть имя выбранной константы.

	* ВспомогательныеДанные/Intell/XBase.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеВидРасчетаВытесняетВидРасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеВидРасчетаВытесняетсяВидомРасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеВидРасчетаГруппаРасчетов.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеГрафаОтбораСсылки.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеГруппаРасчетовВидРасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеДокументВводимыеНаОснованииДокументы.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналГрафаСсылки.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПоследовательностьВлияющиеДвижения.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПоследовательностьДокументы.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПравилоПерерасчетаВедущийВидРасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПравилоПерерасчетаПодчиненныйВидРасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/СоздатьОбъект.ints 1.1:
		[+] Исходная версия

	* Скрипты/Intellisence/dots.vbs 1.4:
		от trdm
		2.1.10
		- Исправил баг при котором скрипт принимал строку где есть "=" за операцию сравнения
		        или присвоения. Теперь действует только после "[=| = ""]"
		- правка багов.
		- Включил использование метода плагина "Телепат" ( А. Орефков) OnShowMemberList
		        вызов идет в дополнительном скрипте "RunAllIntellisence.vbs" где последовательно
		        вызывается сначала "Intellisence.vbs" потом "dots.vbs", с контролем успешности
		        выполнения скрипта. Таким образом если "Intellisence.vbs" не отрабатывает, код
		        идет вызов "dots.vbs" потом стандартный вызов телепата.

	* СистемныеФайлы/CommonServices.wsc 1.21:
		[+] Метод "GetConstantNameFromList">
		Выбрать имя константы из списка констант
		и вернуть имя выбранной константы;
		[-] баг переименования в "GetConstantNameFromTreeWithTypes"

	* СистемныеФайлы/CommonServices.wsc 1.20:
		[*] Имя метода "GetConstantNameFromTree" изменено на
		"GetConstantNameFromTreeWithTypes"

	* Скрипты/Intellisence/dots.vbs 1.5:
		от trdm
		2.1.11
		+ Добавлено распознавание по опосредованной конструкции:
		        ВидДок = Док.Вид();
		        ЕСли ВидДок = "АвансовыйОтчет" Тогда
		                Док.<<<<
		                Точность распознавания обусловлена посточным расбором от строки "Док.<<<<" вверх
		                к строке "ВидДок = Док.Вид();"
		+ Усилен механизм обработки сравнения...
		        например если в глобальном модуле есть переменная глКО
		        Перем глКО Экспорт;
		        И есть е¬ определение в конце модуля или в процедуре ПриНачалеРаботыСистемы() (больше никаких процедур в ГМ не трогаю..)
		        глКО = Перечисление.КодыОпераций;
		        то в тексте при вызове макроса в конструкции (модуль или форма документа)
		        Если КодОперации = <!> Тогда
		        выведется список для выбора из перечисления "КодыОпераций".
		+ Добавил специальный механизм отработки объектов, созданных как СоздатьОбъект из
		        объектов внешних компонент. Механизм:
		                - словарь vk_dict_CreateObject.Dict
		                        структура:
		                        СтрокаОбъекта ФайлССодержаниемАтрибутовИМетодов
		                        пример:
		                        ==============================================
		                        АтрибутФормы FormEx_АтрибутФормы.ints
		                        Сервис FormEx_Сервис.ints
		                        GRID vtools_GRID.ints
		                        AddIn.Thread vtools_Поток.ints
		                        Shell.Application Shell_Application.ints
		                        ==============================================
		                - словарь vk_dict_derivative.dict (производные) (пока отложу...)
		- Исправлен баг когда выгруженную из регистра (ВыгрузитьИтоги) и документа (выгрузитьТабличнуюЧасть)
		        (переменную, содержащую)таблицу значений скрипт принимал за соответственно документ или регистр
		+ в скрипт, совместно запускающий Intellisence.vbs и dots.vbs добавлен контроль вызова который
		                позволяет вызывать Intellisence.vbs только когда справа нет символов...
		+ Распознавание и работа в конструкции ТипЗначенияСтр(Значение) = [<!>|"<!>"] (Intell\ТипЗначенияСтр.ints)
		+ Добавлена возможность синтаксической проверки конструкций "Форма.АтрибутФормы", если "АтрибутФормы" на
		        форме не лежит, модуль выдает ошибки. Процедура называется SyntaxCheckModule().

	* Скрипты/Intellisence/dots.vbs 1.3:
		от trdm
		[*] Немного оптимизировал.
		[-] Отловил несколько ситуаций, ведущих к зацикливанию.
		[+] выбор реквизитов объекта внутри методов (дополнительно) ТЗ.Выгрузить(,,,<.>); ТЗ.ВидимостьКолонки(<.>,); ТЗ.Сортировать(<.>,<.>);
		[+] Добавил отсутствующие англоязычные синонимы;
		
		2.0.06
		+ Работа в методе функции ОткрытьПодбор|OpenPermanentChoice во 2-ом параметре
		- убрал баг с определением типа раквизита Таблицы занчений
		+ Добавил вывод реквизитов формы типа "Справочник" и "Документ" неопределенного вида.
		
		2.1.07
		+ парсинг глобального модуля в целях типизации глобальных переменных
		+ подключены и обработыны шаблоны из Intellisence © (© IAm) (из папки <каталогПрограммы>\config\Intell)
		+ пробелы и табуляция в обрабатываемых словах - не проблема:
		
		2.1.8
		- Исправлен баг при работе в вызовах из методов и функций - крипт везде ставил точку.
		+ Добавил в комплект поставки файл XBase.ints для объекта "XBase"
		
		2.1.09
		- исправил баг распознавания производного слова:
		        КредитныйДок = ТЗАвансов.КредитныйДок.<!> - тут распознавался;
		        КредитныйДок.<!> - тут не распознавался.
		+ добавил распознавание Владельцев и Родителей справочников..
		+ много правок, которые делалались "походу" все на устранение багов и добавление возможностей..
		        сейчас все уже не припомню..
		+ добавил 2 макроса AddWordToSlovar() и InsertFromSlovar() для произвольного
		        сохранения вставки текста. Словарик сохраняется по пути: КаталогПрограммы() + "DictDots.txt"
		        итногда полезно...
		+ добавил контроль необходимости парсинга глобального модуля. Механизм:
		        глобальная переменная + отлов активизации окон.
		+ Добавил работу в конструкции "Если Переменная.Вид() = [<!>|"<!>"] Тогда"
		        выдается к выбору виды из типа объекта "Переменная"

	* СистемныеФайлы/CommonServices.wsc 1.22:
		[+] Метод "GetConstantNameFromListWithTypes":
		Выбрать имя константы из списка констант со строчками типа
			ГлБухгалтер [ Справочник.Сотрудники ]
			т.е. ИмяКонстанты [ ТипКонстанты ]
		и вернуть имя выбранной константы.

2005-03-01	artbear
	* Скрипты/Навигация/NavigationTools.vbs 1.4:
		[*] вызов метода "SendCommand" из OpenConf'a заменен на прямую посылку сообщения "WM_COMMAND",
		т.к. метода "SendCommand" из OpenConf'a не дожидается ответа на посланное WM_COMMAND

	* Скрипты/MD_Tasks/ExtractAllReporstIntoExternalFiles.vbs 1.1:
		Сохранение отчетов/обработок во внешние файлы
		[+] Исходная версия

2005-03-01	adirks
	* СистемныеФайлы/SyntaxAnalysis.wsc 1.2:
		[-] Ошибка при открытии модулей, когда нет ни одного открытого окна

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.3:
		[*] При заполнении списка методов классов заполняем и список экспортируемых 
		переменных

	* Скрипты/Intellisence/Intellisence.vbs 1.8:
		[*] При генерации файлов *.ints для классов 1С++ туда помещаются методы базовых 
		классов

	* Скрипты/Intellisence/Intellisence.vbs 1.9:
		[-] Исправлена ошибка при вызове из Telepat_OnShowMemberList

	* Скрипты/Intellisence/Intellisence.vbs 1.10:
		[*] В файлы *.ints для классов записываем и список экспортируемых переменных

	* Скрипты/Навигация/Навигация.vbs 1.23:
		[*] Метод ClassMethodJump анализирует модули базовых классов

2005-02-28	artbear
	* Скрипты/Навигация/NavigationTools.vbs 1.3:
		[*] автор Phoenix -
		- добавил переход на объект под курсором;
		- переход к объекту метаданных выбирая его из списка (через: CommonScripts.SelectValue(Vals));

	* Скрипты/Разное/SetWinCaption.vbs 1.2:
		[-] баг: в слове "Конфигуратор" буква р была английской

2005-02-28	adirks
	* Скрипты/Навигация/Навигация.vbs 1.22:
		[*] Использование компоненты "OpenConf._1CPP" для работы с классами 1С++

	* СистемныеФайлы/SelectDlg/LstCt.cpp 1.1:
	* СистемныеФайлы/SelectDlg/LstCt.h 1.1:
	* СистемныеФайлы/SelectDlg/Resource.h 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.clw 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.cpp 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.def 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.dsp 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.dsw 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.h 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.idl 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog.rc 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog_i.c 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialog_p.c 1.1:
	* СистемныеФайлы/SelectDlg/SelectDialogps.def 1.1:
	* СистемныеФайлы/SelectDlg/SelectFrm.cpp 1.1:
	* СистемныеФайлы/SelectDlg/SelectFrm.h 1.1:
	* СистемныеФайлы/SelectDlg/Selection.cpp 1.1:
	* СистемныеФайлы/SelectDlg/Selection.h 1.1:
	* СистемныеФайлы/SelectDlg/Selection.rgs 1.1:
	* СистемныеФайлы/SelectDlg/StdAfx.cpp 1.1:
	* СистемныеФайлы/SelectDlg/StdAfx.h 1.1:
	* СистемныеФайлы/SelectDlg/TryEdit.cpp 1.1:
	* СистемныеФайлы/SelectDlg/TryEdit.h 1.1:
	* СистемныеФайлы/SelectDlg/dlldata.c 1.1:
	* СистемныеФайлы/SelectDlg/ico1.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico10.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico2.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico3.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico4.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico5.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico6.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico7.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico8.bmp 1.1:
	* СистемныеФайлы/SelectDlg/ico9.bmp 1.1:
		Начальная версия от Дмитрия Реутова aka IAm

	* СистемныеФайлы/SyntaxAnalysis.wsc 1.1:
		Набор компонентов для синтаксического анализа классов 1С++ и программных модулей

	* Скрипты/Intellisence/Intellisence.vbs 1.7:
		[*] Убраны пробелы в концах строк, пробельные отступы заменены на табуляции
		[*] Более эффективное использование регулярных выражений
		[*] Игнорируются комментарии в модулях
		[*] Более интеллектуальный анализ текстов запросов (объект "Запрос")
		[+] Генерация файлов *.ints для классов 1С++

2005-02-25	a13x
	* Скрипты/Редактирование/RTrimModule.vbs 1.5:
		[*] Использование OpenConf.CommonServices

	* Скрипты/Редактирование/RTrimModule.vbs 1.4:
		[+] Обновленная версия от Valera

2005-02-24	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.6:
		[*] восстановил возможность использования классов 1С++, в имени которых 
		встречается точка (Общие.ТаблицаЗначений).

2005-02-24	adirks
	* Скрипты/Навигация/Навигация.vbs 1.21:
		[*]  Немного сократим код за счёт более сложного регулярного выражения

	* Скрипты/Навигация/Навигация.vbs 1.20:
		[*]  Удалена отладочная информация

	* Скрипты/Навигация/Навигация.vbs 1.19:
		[-] При поиске 1С++ хедера не отрабатывались #include с пробелами в конце 
		строки.

	* ВспомогательныеДанные/Intell/1С++/IntsConvert .ert 1.1:
	* ВспомогательныеДанные/Intell/intell.ini 1.2:
	* ВспомогательныеДанные/Intell/Метаданные.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеВидРасчета.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеВидСубконто.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеГрафаОтбора.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеГруппаРасчетов.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеДокумент.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеДокументРеквизитТабличнойЧасти.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеДокументРеквизитШапки.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеЖурнал.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналГрафа.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналРасчетов.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналРасчетовРеквизит.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналРасчетовФормаСписка.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналФормаСписка.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеКалендарь.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеКонстанта.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеКорректныеПроводки.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеНумератор.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеОбработка.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеОбщийРеквизитДокумента.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеОтчет.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПеречисление.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПеречислениеЗначение.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПланСчетов.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПланСчетовСчет.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПланСчетовСчетСубконто.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПоследовательность.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеПравилоПерерасчета.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеРегистр.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеРегистрИзмерение.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеРегистрРеквизит.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеРегистрРесурс.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеРеквизитПроводки.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеРеквизитСчета.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеСправочник.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеСправочникРеквизит.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеСправочникФормаСписка.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеТиповыеОперации.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеФормаЖурналаОпераций.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеФормаЖурналаПроводок.ints 1.2:
	* ВспомогательныеДанные/Intell/МетаданныеФормаСпискаСчетов.ints 1.2:
	* ВспомогательныеДанные/Intell/Операция.ints 1.2:
	* СистемныеФайлы/SelectDialog.dll 1.1:
	* СистемныеФайлы/SelectValue.dll 1.2:
	* Скрипты/Intellisence/Intellisence.txt 1.2:
	* Скрипты/Intellisence/Intellisence.vbs 1.5:
		Последняя версия с www.proclub.ru.  История изменений в Intellicence.txt

2005-02-23	a13x
	* СистемныеФайлы/Registry.wsc 1.3:
		[+] метод DeleteParam(RootKey, Name)

	* Скрипты/Редактирование/author.js 1.2:
		[+] переписан "с нуля", исходная версия

	* СистемныеФайлы/CommonServices.wsc 1.18:
		[+] поддержка QuietMode в методе CallMacros
		[+] метод FindWindow(caption[, flags]) - поиск окна по заголовку
		[*] длинные строки (len > 115) разбиты/перенесены на несколько

	* Скрипты/Примеры/CommonServices_Test.js 1.1:
		[+] пример/шаблон скрипта на JS, использующего  CommonServices.wsc

2005-02-23	adirks
	* Скрипты/Intellisence/Intellisence.vbs 1.4:
		[+] Добавлен метод GetExprType() для использования в других скриптах.
		[*] Исправлен метод GetMainType(). Теперь он понимает типы 1С++, где может быть более одной точки в имени.

	* Скрипты/Навигация/Навигация.vbs 1.18:
		[+] CodeJump к методам классов 1С++. Требуется исправленный Intellisence.vbs, с 
		добавленным методом GetExprType()

2005-02-19	adirks
	* Скрипты/Навигация/Навигация.vbs 1.17:
		[+] Функционал переходов к классам 1С++ отрабатывает объекты в МДшнике (с 
		суффиксом @MD)

2005-02-18	a13x
	* Скрипты/Навигация/navigator.js 1.5:
		[*] отступы пробелами (ts=4) заменены на табуляцию

	* Скрипты/Общие/Клавиатура.js 1.3:
		[+] макросы ОпенКонф* (ЗагрузитьСкрипт etc)

2005-02-17	a13x
	* СистемныеФайлы/Registry.wsc 1.2:
		[*] переход с пробельных отступов на табуляцию
		[-] get-метод для свойства Param всегда возвращал undefined

	* СистемныеФайлы/CommonServices.wsc 1.17:
		[*] изменены местами строки для подключения обектов FSO и WSH
		[+] cвойство Registry as OpenConf.Registry (read only)

	* Скрипты/Навигация/navigator.js 1.4:
		[+] использование OpenConf.CommonServices
		[-] относительные пути ФС не открывались, если в начале пути не было спецификатора родительской директории (. или ..)

2005-02-17	artbear
	* Скрипты/Общие/Клавиатура.js 1.2:
		[*] метод "ПерейтиКСтрокуПоНомеру"

2005-02-17	adirks
	* Скрипты/Навигация/Навигация.vbs 1.15:
		[+] Добавлена возможность прыгать в дерево метаданных
		[+] Добавлена поддержка 1С++. Пока только для классов во внешних файлах.

	* Скрипты/Навигация/Навигация.vbs 1.16:
		[-] Исправлена ошибка при открытии объектов без идентификатора типа (напр. по 
		строке "Контрагенты" не открывался объект в дереве метаданных)

	* Скрипты/Общие/Шорткаты.vbs 1.7:
		[+] Добавлены методы OffPanel и OnPanel

2005-02-12	artbear
	* Скрипты/Редактирование/Замена кода.vbs 1.10:
		[*] в начало скрипта - нормальное описание всех макросов скрипта;
		[+] новые макросы для обрамления кода некоторым текстом:
		CodeReplaceWithQuestion
		CodeFramingWithQuestion
		CodeFramingForTimer

	* ВспомогательныеДанные/Описание скриптов.doc 1.2:
		[*] более полное описание последних версий скриптов.

	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.11:
		[*] в начало скрипта - нормальное описание всех макросов скрипта;

	* Скрипты/Навигация/NavigationTools.vbs 1.1:
		[+] Исходная версия

	* Скрипты/Навигация/NavigationTools.vbs 1.2:
		[*] комментарии

2005-02-10	a13x
	* СистемныеФайлы/CommonServices.wsc 1.16:
		[+] метод ClearError - сбросить состояние ошибки (QuietMode)
		[+] метод SetErrorStr - сохранить сообщение об ошибке (QuietMode)
		[+] поддержка работы в QuietMode для метода AddPluginToScript
		[+] методы SetQuietMode, GetLastError - комментарии
		[-] объявления констант видов документов

2005-02-09	a13x
	* СистемныеФайлы/Registry.wsc 1.1:
		[+] Исходная версия

2005-02-04	artbear
	* Скрипты/Навигация/Навигация.vbs 1.14:
		[*] Если выбрали "Загрузку или объединение конфигурации" и в буфере обмена есть путь к существующему md-файлу,
		не задавался вопрос о его использовании, а Конфигуратор сразу его использовал.

2005-02-03	artbear
	* Скрипты/Навигация/Навигация.vbs 1.13:
		[*] MD-файл можно открывать только при выборе меню "Загрузка или объединение конфигураций"
		[-] при выборе меню "Загрузка или объединение конфигураций", если в буфере обмена есть путь к существующему файлу (не файла конфигурации),
		по этому файлу ошибочно задавался вопрос.

2005-02-01	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.10:
		[+] При запуске 1С скрипт умеет определять состояние базы, и при невозможности 
		работы в одном режиме предлагает другой режим.

	* СистемныеФайлы/1S.StatusIB.wsc 1.3:
		[-] не работал с путями к базам, у которых в конце не стоит "\"

	* СистемныеФайлы/1S.StatusIB.tlb 1.1:
	* СистемныеФайлы/1S.StatusIB.wsc 1.1:
	* Скрипты/Примеры/ShowIBState.vbs 1.1:
		[+] Исходная версия

	* СистемныеФайлы/1S.StatusIB.wsc 1.4:
		[+] опубликован метод ""GetIBUsersCount"";
		[-] не определял монопольный режим.

	* СистемныеФайлы/1S.StatusIB.wsc 1.2:
		[-] Не всегда правильно закрывались ресурсы.

	* Скрипты/Примеры/ShowIBState.vbs 1.2:
		[*] комментарии

2005-01-31	artbear
	* Скрипты/Навигация/FindText.vbs 1.13:
		[+] Выдается список использованных вариантов поиска;
		[*] текущее слово также попадает в список;
		[*] если в тексте найдена всего одно вхождение искомого выражения, сразу и перехожу на него, а не выдаю список вхождений.
		[+] В списке поиска есть позиции-подсказки:
		1) по поиску выражения, которое встречается только в комментариях;
		2) по поиску выражения, которое встречаются только в коде, а не в комментариях;

	* СистемныеФайлы/Collections.wsc 1.2:
		[+] Метод "SaveToString" - записать текстовое представление объектов коллекции в строке с разделителями;
		[+] поле "AllowDuplicates" - разрешить использование дубликатов (по умолчанию - нет);

	* СистемныеФайлы/Collections.wsc 1.3:
		[+] метод "LoadFromString" с произвольным разделителем;
		[*] поле "Text" - разделитель перевод строки.

	* Скрипты/Навигация/FindText.vbs 1.14:
		[*] рефакторинг - использование метода "SaveToString" объекта "
		OpenConf.Collection".

	* СистемныеФайлы/CommonServices.wsc 1.15:
		[*] Методы "SelectValue" и "SelectValueVBS":
		пятый параметр (EnableFreeInput) - разрешает ввод и выбор пользователем текста не из списка;

	* СистемныеФайлы/Collections.wsc 1.1:
		[+] Исходная версия ( от a13x )

2005-01-30	artbear
	* Скрипты/Редактирование/Замена кода.vbs 1.9:
		[+] при редактировании vbs-скриптов ставятся/удаляются верные комментарии с 
		символом апострофа.

2005-01-27	a13x
	* Скрипты/Intellisence/VimComplete.js 1.1:
		Исходная версия

2005-01-25	artbear
	* СистемныеФайлы/CommonServices.wsc 1.14:
		[-] ошибка в тегах.

	* Скрипты/Навигация/Навигация.vbs 1.12:
		[*] Инкапсуляция: вместо метода "GetFileNameFromClipboard()" использую "
		CommonScripts.GetFileNameFromClipboard"

	* СистемныеФайлы/CommonServices.wsc 1.13:
		[+] инкапсуляция методов работы с буфером обмена Windows-
		новые методы
		"CopyToClipboard",
		"GetFromClipboard",
		"GetFileNameFromClipboard".
		[*] "GetFileNameFromClipboard" - если путь файла обрамлен кавычками, то кавычки отбрасываются

	* Скрипты/Разное/Разработка скриптов.vbs 1.6:
		[*] инкапсуляция прямого вызова Svcsvc.Service.SelectValue:
		 заменил его на CommonScripts.SelectValue

2005-01-24	artbear
	* Скрипты/Разное/Разработка скриптов.vbs 1.5:
		[+] новый макрос "ReloadOpenedScript" -
		макрос перезагрузки текущего открытого скрипта (для тех, кто правит скрипты в Конфигураторе);
		[*] небольшой рефакторинг.

	* Скрипты/Редактирование/Замена кода.vbs 1.8:
		[*] метод "CommentSelection":
		если строка не пуста, комментарий ставлю после пробельных символов (как у 1С),
		если строка пуста, комментарий ставлю в начале строки.

2005-01-19	adirks
	* Скрипты/Навигация/jumper.vbs 1.8:
	* Скрипты/Навигация/Навигация.vbs 1.11:
		[*] Вместо MoveCaret используем CommonScripts.Jump

	* СистемныеФайлы/CommonServices.wsc 1.11:
	* СистемныеФайлы/scriptlet.tlb 1.3:
		[+] Добавлены методы FindProc и Jump

	* СистемныеФайлы/CommonServices.wsc 1.12:
		[-] В методе FindProc исправлена ошибка, приводившая к "синему циклу"

2005-01-18	artbear
	* Скрипты/Навигация/FindText.vbs 1.12:
		[*] еще один вариант шаблона для поиска выражения, которое не встречается в 
		комментариях 1C.

2005-01-17	artbear
	* Скрипты/Навигация/FindText.vbs 1.10:
		[*] Более точный шаблон для поиска выражения, которое не встречается в 
		комментариях 1C

	* СистемныеФайлы/CommonServices.wsc 1.10:
		[*] "SelectValueVBS" - для FilterValue от SvcSvc.dll разрешил вывод заголовка 
		окна выбора, если заголовок передан.

	* Скрипты/Навигация/FindText.vbs 1.11:
		[*] более точный шаблон для поиска выражения, которое стоит в комментариях 1C.

	* СистемныеФайлы/CommonServices.wsc 1.9:
		[+] добавил описание параметра Flags для FilterValue в svcsvc.dll.

2005-01-16	artbear
	* Скрипты/Навигация/FindText.vbs 1.9:
		[-] создание ненужного объекта "Svcsvc.Service"

	* Скрипты/Навигация/FindText.vbs 1.4:
		[*] кэширую последнее выражение для поиска;
		[+] добавил макрос "ClearAllPreviousFindBookmarks" -
		возможность стереть все закладки, созданные предыдущим поиском.

	* Скрипты/Навигация/FindText.vbs 1.2:
		[+] Добавил использование общего скриптлета "OpenConf.CommonServices";
		[*] Убрал сообщение для не текстовых окон;
		[*] Убрал отладочное сообщение при поиске;

	* Скрипты/Навигация/FindText.vbs 1.6:
		[*] небольшое ускорение работы (видно на глобальном модуле);

	* Скрипты/Навигация/FindText.vbs 1.1:
		[+] Исходная версия.
		Поиск текста в текущем модуле с установкой закладок.
		Используются регулярные выражения.
		
		Автор: Ушаков Сергей aka Phoenix

	* Скрипты/Навигация/FindText.vbs 1.3:
		[+] Имя скрипта - "Поиск текста в модуле регулярными выражениями";
		[*] Вопрос про удаление закладок задается только в случае, если в модуле есть закладки;
		[*] если ничего не найдено, пустое окно выбора не выскакивает;
		[*] вместо прямого вызова Svcsvc.FilterValue использую обертку CommonScripts.SelectValue.

	* Скрипты/Навигация/FindText.vbs 1.5:
		[*] комменты;

	* Скрипты/Навигация/FindText.vbs 1.7:
		На всякий случай:
		[+] шаблон для поиска выражения, которое не встречается в комментариях 1C.
		[+] шаблон для поиска выражения, которое, напротив, стоит в комментариях 1C;

	* Скрипты/Навигация/FindText.vbs 1.8:
		[*] При поиске вместо удаления всех закладок удаляются только закладки преды
		дущего поиска,

2005-01-15	artbear
	* Скрипты/Редактирование/Форматирование текста.vbs 1.4:
		[+] автор trdm
		[*] макрос "FormatBlockWithTabs" -
		    Символ форматирования текста сделан опциональным.
		    При загрузке скрипта он установлен в "=".
		[+] новый макрос "ChoiseCharForFormating()" -
		    Выбирается возможный вариант символа.
		    Есть составные символы: ".2" - ".4" и ",2" - ",7"
		  они работают следующим образом:
		  в строке текста находится "," или "." с тем порядковым номером, который стоит после символа, и текст выравнивается по этому символу....
		    Остальные двузначные: "<>", "//" или трех-значные символы работаю как один....

2005-01-14	artbear
	* Скрипты/Навигация/GoToFormula.vbs 1.3:
		[*] MetaEditor
		    от 02.12.2004
		1) добавлен переход к глобальным процедурам (те что начинаются на "гл")
		2) исправлена ошибка при переходе к процедурам с параметрами
		3) добавлено позиционирование в созданную процедуру
		     от 06.12.2004
		1) теперь автоматически закрывается "пришпиленное" окно свойств
		2) исправлен переход к процедурам с директивой "Далее"
		3) немного исправлен алгоритм. Для поиска используется часть формулы с начала строки
		до первой скобки, тоесть если в формуле написано, например
		" [ глПроцедура(); ?(,,) # Закрыть" то будет искатся "глПроцедура(",
		что дает возможность также переходить к процедурам из окна свойств ячейки таблицы
		    от 14.01.2005
		1)добавлен переход без открытия свойств элемента. Если открыто окно свойств элемента,
		то работает как раньше.
		2)также при переходе из окна свойств происходит нажатие на "Обновить", что удобно для новых
		элементов/изменения формулы. Тоесть, пишем формулу, жмём хоткей, - фомула сохраняется.
		[*] artbear - Если метода не существует, в сообщении об ошибке выдается его наименование.

2005-01-13	adirks
	* СистемныеФайлы/CommonServices.wsc 1.8:
		[-] Исправлена ошибка в функции SelectValueVBS - возвращалась пустая строка 
		вместо выбранного значения.

	* Скрипты/Навигация/Навигация.vbs 1.10:
		[-] При вызове метода GoToObject в диалоговой форме вылазило окошко "нет 
		активного окна"

2005-01-12	artbear
	* Скрипты/Разное/WorkWithReestr.vbs 1.1:
		[+] Исходная версия - <перенесено из ошибочной папки>

2005-01-08	artbear
	* Скрипты/Общие/Клавиатура.js 1.1:
		[+] Исходная версия - <Немножко функций для шорткатов>

2004-12-23	slavka
	* WorkWithReestr.vbs 1.1.1.1:
		проба

2004-12-23	a13x
	* СистемныеФайлы/readme.txt 1.2:
		Добавлено описание файлов (тест)

2004-12-23	adirks
	* СистемныеФайлы/CommonServices.wsc 1.7:
		[*] Исправлена неточность в вызове метода SelectValueVBS
		[*] Выравнивание блоков приведено к общему знаменателю - при помощи табуляций а не пробелов.

2004-12-20	adirks
	* Скрипты/Навигация/jumper.vbs 1.5:
		[*] Небольшой рефакторинг кода.
		[+] Добавлен ещё один вариант прыганья - с более длинными прыжками. Если прыгаем вверх - то только на начала синтаксических конструкций; если вниз - то только на завершения.

	* Скрипты/Навигация/jumper.vbs 1.7:
		[+] Добавлено описание

	* Скрипты/Навигация/jumper.vbs 1.6:
		[+] Добавлены методы GoUp3 и GoDown3 для переходов к родительской синтаксической 
		конструкции

	* Скрипты/Навигация/Переходы по модулю.vbs 1.8:
		[*] Убрал строчку 'Set ModNav = Scripts("Переходы по модулю")'  - на самого себя 
		ссылаться не нужно

2004-12-20	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.8:
		[+] "RunInSharedMode" - добавил имя пользователя;
		[*] использовал "OpenConf.CommonServices";

	* Скрипты/ВерсионныйКонтроль/cvs.vbs 1.3:
		[+] ввел режим "не задавать вопросы при открытии конфигурации или ее сохранении".
		По умолчанию он включен.
		[-] заголовок главного окна не меняется (ИМХО так удобнее)

	* СистемныеФайлы/CommonServices.wsc 1.6:
		[-] В примере использования:
		если объект "OpenConf.CommonServices" не зарегистрирован, выполнение скрипта не завершалось.

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.5:
	* Скрипты/ВерсионныйКонтроль/СравнитьОбъект.vbs 1.3:
	* Скрипты/Навигация/jumper.vbs 1.4:
	* Скрипты/Навигация/Навигация.vbs 1.9:
	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.5:
	* Скрипты/Навигация/Переходы по модулю.vbs 1.7:
	* Скрипты/Общие/Шорткаты.vbs 1.6:
	* Скрипты/Примеры/CommonServices test.vbs 1.3:
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.9:
	* Скрипты/Разное/Меню всех макросов.vbs 1.6:
	* Скрипты/Разное/Меню макросов из файла.vbs 1.8:
	* Скрипты/Разное/Разработка скриптов.vbs 1.4:
	* Скрипты/Редактирование/Замена кода.vbs 1.7:
	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.8:
		[-] если объект "OpenConf.CommonServices" не зарегистрирован, выполнение скрипта 
		не завершалось.

	* СистемныеФайлы/scriptlet.tlb 1.2:
		[+] метод "MsgBox" (тоже самое, что и MyMsgBox);
		[+] метод "Debug";

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.4:
	* Скрипты/ВерсионныйКонтроль/СравнитьОбъект.vbs 1.2:
	* Скрипты/Навигация/GoToFormula.vbs 1.2:
	* Скрипты/Навигация/Навигация.vbs 1.8:
	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.4:
	* Скрипты/Навигация/Переходы по модулю.vbs 1.6:
	* Скрипты/Общие/Шорткаты.vbs 1.5:
	* Скрипты/Разное/Меню всех макросов.vbs 1.5:
	* Скрипты/Разное/Меню макросов из файла.vbs 1.7:
	* Скрипты/Разное/Разработка скриптов.vbs 1.3:
	* Скрипты/Редактирование/Замена кода.vbs 1.6:
	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.7:
		[*] использовал "OpenConf.CommonServices";
		[-] объявление переменной "CommonScripts" теперь не нужно.

	* Скрипты/Общие/Закрыть окно сообщений.vbs 1.6:
		[-] скрипт выгружался дважды.

	* СистемныеФайлы/CommonServices.wsc 1.5:
		[*] метод "InitScript" переименовал в "AddPluginToScript";
		[+] метод "MsgBox" (тоже самое, что и MyMsgBox);
		[+] метод "Debug";
		[-] метод "AddPluginToScript" не работал;
		[-] метод "CallMacros" не работал;
		[*] метод "RunCommand" - если есть пробелы в пути к исполняемому файлу, заключим этот путь в кавычки;
		[-] метод "SendCommand" - ошибка использования переменной Конфигуратора;
		[-] метод "SelectValue" - ошибка при использовании SelectValue.dll;
		[-] метод "TogglePanel" не работал;

2004-12-19	artbear
	* Скрипты/Навигация/jumper.vbs 1.2:
		[*] использовал "OpenConf.CommonServices";
		[*] синтаксические исправления.

	* Скрипты/Навигация/jumper.vbs 1.3:
		[-] объявление CommonScripts теперь не нужно;
		[*] Метод "GoBack" переименован в "GoDown";
		[*] Метод "GoForward" переименован в "GoUp".

	* ВспомогательныеДанные/Описание скриптов.doc 1.1:
		[+] Исходная версия описания (до помещения скриптов в репозитарий)

	* Скрипты/Навигация/jumper.vbs 1.1:
		[+] Исходная версия (с) Trdm

	* СистемныеФайлы/macrosenum.dll 1.1:
		[+] Исходная версия используемых COM-объектов

	* СистемныеФайлы/CommonServices.wsc 1.4:
		[-] в примере использования скриптлета
		объявление CommonScripts теперь не нужно.

	* Скрипты/Примеры/CommonServices test.vbs 1.2:
		[-] объявление CommonScripts теперь не нужно.

2004-12-18	artbear
	* СистемныеФайлы/CommonServices.wsc 1.3:
		[-] Метод "IBDir" не работал;
		[*] исправил описание.

	* СистемныеФайлы/CommonServices.wsc 1.2:
		[+] Ссылка на библиотеку типов Опенконф;
		[+] Дописал методы из common.vbs (теперь полное соответствие)
		    InitScript;
		    RegExpTest;
		    MacrosExists;
		    CallMacros;
		    RunCommand;
		    RunCommandAndWait;
		    SendCommand;
		    GetDocumentPosition;
		    SelectFileForRead;
		    FormatDate;
		    TogglePanel;
		    IBDir;
		    SetQuietMode;
		    MyMsgBox;
		    GetLastError;
		[*] Метод "SelectValueVBS" по умолчанию использует объект "SvcSvc.Service"
		и его метод "FilterValue";
		[-] Метод "Error" не работал;
		[*] Методу "Error" добавил параметр "ShowMsgBox";

	* Скрипты/Примеры/CommonServices test.vbs 1.1:
		[+] Исходная версия примера

	* СистемныеФайлы/SelectValue.dll 1.1:
	* СистемныеФайлы/WshExtra.dll 1.1:
	* СистемныеФайлы/dynwrap.dll 1.1:
	* СистемныеФайлы/scriptlet.tlb 1.1:
	* СистемныеФайлы/svcsvc.dll 1.1:
		[+] Исходная версия используемых COM-объектов

	* Скрипты/Навигация/Переходы по модулю.vbs 1.5:
		[+] Метод "SelectProcedure".

	* Скрипты/Общие/common.vbs 1.14:
		[-] Метод "InitScript" не работал.

	* СистемныеФайлы/CommonServices.wsc 1.1:
		[+] Исходная версия скриптлета (от a13x)

2004-12-17	adirks
	* Скрипты/Общие/Закрыть окно сообщений.vbs 1.5:
		тест рассылки

	* Скрипты/Общие/Закрыть окно сообщений.vbs 1.4:
		[*] Исправлено оформление текста

2004-12-16	adirks
	* Скрипты/Общие/common.vbs 1.13:
		[*] Исправлены комментарии

	* Скрипты/Навигация/Навигация.vbs 1.6:
		[+] Добавлен метод OpenFileFromClipboard и его вызов в GoToObject

	* Скрипты/Навигация/Навигация.vbs 1.7:
		[+] Добавлено описание новых макросов
		[-] Исправлена ошибка в обработчике события Configurator_OnFileDialog

	* Скрипты/Общие/Шорткаты.vbs 1.4:
		[+] Добавлены макросы CopyTextToClipboard и ReplaceTextFromClipBoard
		[+] Добавлен ситуационно-зависимый макрос CtrlA
		[*] Удалены закомментированные блоки

2004-12-09	adirks
	* Скрипты/Общие/common.vbs 1.12:
		[*] Исправлен метод SelectValue. Теперь по умолчанию используется FilterValue из 
		svcsvc.dll

2004-12-09	artbear
	* Скрипты/Разное/SetWinCaption.vbs 1.1:
		Устанавливает заголовок основного окна в виде "Конфигуратоp - (<Каталог базы данных>)"
		+ Исходная версия

	* Скрипты/ВерсионныйКонтроль/cvs.vbs 1.2:
		[-] убрал смену заголовка основного окна

2004-12-08	adirks
	* Скрипты/Навигация/Навигация.vbs 1.5:
		[-] В макрос GoToModulePage выдавал запрос, если в форме присутствуют и модуль и 
		описание.

2004-12-06	adirks
	* Скрипты/Редактирование/Форматирование текста.vbs 1.3:
		[*] Немного изменён комментарий

	* Скрипты/Общие/common.vbs 1.11:
		[*] метод RunCommandAndWait разделён на 2: RunCommand и RunCommandAndWait

	* Скрипты/Общие/Шорткаты.vbs 1.3:
		[*] Макросы ToggleSyntaxHelper, ToggleOutPutWindow, TogleSearchWindow и 
		TogleStdToolbar перенесены из panelsvisible.vbs в Шорткаты.vbs

	* Скрипты/ВерсионныйКонтроль/СравнитьОбъект.vbs 1.1:
		Скрипт для сравнения текущего состояния объекта (справочника, документа, и т.д.) 
		с ранее сохранённым.

	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.6:
		[+] Добавлен макрос ReplaceTextFromClipBoard, полностью заменяющий текущий 
		модуль на содержимое клипборда

2004-12-06	artbear
	* Скрипты/Intellisence/Intellisence.vbs 1.3:
		[*] возможность использования классов 1С++, в имени которых встречается точка (Общие.ТаблицаЗначений) (artbear)
		[- ]Версия 1.1.3
		    Исправлен возникший в версии 1.1.2 глюк при выполнении макросов автозаполнения.
		[+] Версия 1.1.2
		[+] Добавлена попытка распознавания типа объекта по конструкциям
		Если ТипЗначенияСтр(ИмяОбъекта) = ...
		Если ИмяОбъекта.Вид() = ...
		[+] Добавлена поддержка классов 1С++
		[-] Исправлен баг: если имя объекта совпадало с окончанием имени другого объекта
		то тип определялся неправильно.

	* Скрипты/Intellisence/dots.vbs 1.2:
	* Скрипты/Навигация/navigator.js 1.3:
		[+] Очередные версии от авторов

	* Скрипты/Intellisence/Intellisence.vbs 1.2:
		[+] версия 1.1.1 от автора;
		[*] возможность использования классов 1С++, в имени которых встречается точка (Общие.ТаблицаЗначений).

	* Скрипты/Навигация/GoToFormula.vbs 1.1:
	* Скрипты/Редактирование/author.js 1.1:
	* Скрипты/Редактирование/Замена кода trad.vbs 1.1:
		+ Исходная версия

2004-12-05	adirks
	* Скрипты/Общие/common.vbs 1.10:
		[+] Добавлена функция SelectValue

	* Скрипты/Навигация/Навигация.vbs 1.4:
		[+] Добавлены макросы для переходов по страницам текущей формы: 
		ToggleWorkbookPage, GoToDialogPage, GoToModulePage, GoToMXLPage, GoToPage

2004-12-03	adirks
	* Скрипты/Общие/common.vbs 1.9:
		[*] Убрано отладочное сообщение из функции MyFormatNumber

2004-12-02	artbear
	* ВспомогательныеДанные/Работа с макросами/Macros.ini 1.1:
		[+] Настройка меню для показа макросов в удобном виде по группам

	* ВспомогательныеДанные/Работа с макросами/Macros_all.ini 1.1:
		[+] Выгрузка всех макросов для возможного преобразования в файл Macros.ini для 
		показа макросов в удобном виде по группам

2004-12-02	adirks
	* Скрипты/Навигация/Навигация.vbs 1.3:
		[-] Исправлена ошибка, когда отсутствовал каталог ExtForms

	* ВспомогательныеДанные/Intell/intell.ini 1.1:
	* ВспомогательныеДанные/Intell/v77_Application.ints 1.1:
	* ВспомогательныеДанные/Intell/БухгалтерскиеИтоги.ints 1.1:
	* ВспомогательныеДанные/Intell/ВидСубконто.ints 1.1:
	* ВспомогательныеДанные/Intell/ВидыСубконтоСписок.ints 1.1:
	* ВспомогательныеДанные/Intell/Документ.ints 1.1:
	* ВспомогательныеДанные/Intell/ЖурналРасчетов.ints 1.1:
	* ВспомогательныеДанные/Intell/Запрос.ints 1.1:
	* ВспомогательныеДанные/Intell/Корреспонденция.ints 1.1:
	* ВспомогательныеДанные/Intell/Метаданные.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеВидРасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеВидСубконто.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеГрафаОтбора.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеГруппаРасчетов.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеДокумент.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеДокументРеквизитТабличнойЧасти.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеДокументРеквизитШапки.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурнал.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналГрафа.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналРасчетов.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналРасчетовРеквизит.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналРасчетовФормаСписка.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеЖурналФормаСписка.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеКалендарь.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеКонстанта.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеКорректныеПроводки.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеНумератор.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеОбработка.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеОбщийРеквизитДокумента.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеОтчет.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПеречисление.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПеречислениеЗначение.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПланСчетов.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПланСчетовСчет.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПланСчетовСчетСубконто.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПоследовательность.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПравилоПерерасчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеПраздники.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеРегистр.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеРегистрИзмерение.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеРегистрРеквизит.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеРегистрРесурс.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеРеквизитПроводки.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеРеквизитСчета.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеСправочник.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеСправочникРеквизит.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеСправочникФормаСписка.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеТиповыеОперации.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеФормаЖурналаОпераций.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеФормаЖурналаПроводок.ints 1.1:
	* ВспомогательныеДанные/Intell/МетаданныеФормаСпискаСчетов.ints 1.1:
	* ВспомогательныеДанные/Intell/Операция.ints 1.1:
	* ВспомогательныеДанные/Intell/Перечисление.ints 1.1:
	* ВспомогательныеДанные/Intell/Перечислениевид.ints 1.1:
	* ВспомогательныеДанные/Intell/Периодический.ints 1.1:
	* ВспомогательныеДанные/Intell/ПроводкаДокумента.ints 1.1:
	* ВспомогательныеДанные/Intell/Регистр.ints 1.1:
	* ВспомогательныеДанные/Intell/СписокЗначений.ints 1.1:
	* ВспомогательныеДанные/Intell/Справочник.ints 1.1:
	* ВспомогательныеДанные/Intell/Счет.ints 1.1:
	* ВспомогательныеДанные/Intell/Таблица.ints 1.1:
	* ВспомогательныеДанные/Intell/ТаблицаЗначений.ints 1.1:
	* ВспомогательныеДанные/Intell/Текст.ints 1.1:
	* ВспомогательныеДанные/Intell/ФС.ints 1.1:
	* ВспомогательныеДанные/Intell/Форма.ints 1.1:
		Описания атрибутов и методов объектов для Intellicence.vbs

	* Скрипты/Intellisence/Intellisence.txt 1.1:
		Описание скрипта Intellicence.vbs

	* ВспомогательныеДанные/readme.txt 1.1:
		Описание каталогов вспомогательных данных

	* Скрипты/MD_Tasks/ОбъединениеМД.vbs 1.2:
		[*] Изменены названия методов

	* Скрипты/Навигация/Навигация.vbs 1.2:
		[+] Добавлена возможность перехода к формам списка справочников и журналов документов.
		[+] Добавлена возможность выбора объекта, если их несколько.
		[+] Добавлена поддержка скрипта GoToFormula.vbs

	* Скрипты/MD_Tasks/ОбъединениеМД.vbs 1.1:
		Скрипт для автоматизации задач загрузки изменённого МД, объединения с изменённым 
		МД.

	* Скрипты/Общие/common.vbs 1.8:
		[+] Добавлены методы SetQuietMode, GetLastError и внутренний метод MyMsgBox
		[*] Вызовы MsgBox заменены на MyMsgBox

2004-11-30	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.7:
		[+] параметр для запуска в текущей базе (удобнее, когда запускаешь 1С не через 
		спец.стартер)

	* Скрипты/Общие/common.vbs 1.7:
		[+] Метод для получения каталог ИБ в нормальном регистре
		(исправил баг Configurator.IBDir - все в маленьком регистре)

	* Скрипты/Редактирование/Замена кода.vbs 1.4:
		[+] комментарии

	* Скрипты/Редактирование/Замена кода.vbs 1.5:
		[-] баг конструкции Сокр<пробел>Тогда ->> Сокр(Тогда)а
		[-] баг СокрЛП(!) -> СокрЛП()|

2004-11-17	artbear
	* Скрипты/Редактирование/Замена кода.vbs 1.3:
		[+] код для обработки:
		   функции, вставляемые Телепатом, обрамляют скобками слово справа от курсора.

2004-11-14	artbear
	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.3:
		[+] добавил в комментарии схему работы со скриптом;

	* Скрипты/Навигация/navigator.js 1.2:
		[*] изменения;
		[+] комментарии;

	* Скрипты/Навигация/Переходы по модулю.vbs 1.4:
	* Скрипты/Редактирование/RTrimModule.vbs 1.3:
		[-] имя скрипта совпадает с именем файла.

	* Скрипты/Общие/Закрыть окно сообщений.vbs 1.3:
		[*] работа через метод Опенконфа - TogglePanel

	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.5:
		[*] простое выделение через MoveCaret

	* Скрипты/Intellisence/Intellisence.vbs 1.1:
	* Скрипты/Intellisence/dots.vbs 1.1:
	* Скрипты/ВерсионныйКонтроль/cvs.vbs 1.1:
	* Скрипты/Навигация/navigator.js.txt 1.1:
	* Скрипты/Навигация/Навигация.vbs 1.1:
	* Скрипты/Подсистемы/ChoiceSubSystem.vbs 1.1:
	* Скрипты/Подсистемы/DescriptSubSystem.ert 1.1:
	* Скрипты/Примеры/panelsvisible.vbs 1.1:
	* Скрипты/Разное/htmlview.js 1.1:
	* Скрипты/Разное/settings.js 1.1:
		[+] Исходная версия

	* Скрипты/Разное/Меню макросов из файла.vbs 1.6:
		[-] баг построения меню по группам;
		[*] перед показом меню макросы заново считываются из файла.

	* Скрипты/ВерсионныйКонтроль/gcomp.vbs 1.5:
		[*] изменена командная строка компиляции и декомпиляции файла;

	* Скрипты/Общие/Шорткаты.vbs 1.2:
		[*] SelectAll: простое выделение через MoveCaret;
		[*] рефакторинг;
		[*] работа через метод Опенконфа - TogglePanel

2004-11-13	artbear
	* Скрипты/Редактирование/Замена кода.vbs 1.2:
		[+] макрос "Копировать строку (или несколько выделенных строк";
		[+] макрос "обменять местами левую и правую часть присвоения с сохранением возможных комментариев";
		[-] работает только с активным окном текстового модуля;

	* Скрипты/Общие/common.vbs 1.6:
		[+] новый метод  " FormatDate" для расширенного форматирования даты (ADirks);
		[+] новый метод "TogglePanel" переключает видимость различных панелей (Orefkov);
		[*] RunCommandAndWait: выдача сообщения об ошибке в случае неудачи запуска приложения из командной строки.

	* Скрипты/Редактирование/Замена кода.vbs 1.1:
		[+] Исходная версия

2004-10-26	artbear
	* Скрипты/Разное/Разработка скриптов.vbs 1.2:
		[*] если имя скрипта не задано, по хоткею сразу вызывается настройка нового скрипта;
		[*] имя скрипта;
		[+] авторство

	* Скрипты/Навигация/Переходы по модулю.vbs 1.3:
		[+] макрос для возврата на прежнее место;
		[*] имя скрипта;
		[+] авторство

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.2:
		[*] имя скрипта;
		[+] авторство;
		[+] описание.

	* Скрипты/MD_Tasks/MD to Archiv.vbs 1.3:
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.6:
	* Скрипты/Разное/wizard1cpp.vbs 1.2:
	* Скрипты/Разное/Меню всех макросов.vbs 1.4:
	* Скрипты/Разное/Меню макросов из файла.vbs 1.5:
	* Скрипты/Редактирование/RTrimModule.vbs 1.2:
		[*] имя скрипта

	* Скрипты/ВерсионныйКонтроль/gcomp.vbs 1.4:
	* Скрипты/Общие/Закрыть окно сообщений.vbs 1.2:
	* Скрипты/Примеры/TurboMD.vbs 1.5:
	* Скрипты/Примеры/agent.vbs 1.2:
	* Скрипты/Примеры/sample.vbs 1.3:
	* Скрипты/Разное/1C++.vbs 1.3:
	* Скрипты/Разное/ExtForms Explorer.vbs 1.2:
	* Скрипты/Разное/Сохранение открытых окон.vbs 1.2:
	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.4:
	* Скрипты/Редактирование/Форматирование текста.vbs 1.2:
		[+] авторство

	* Скрипты/Общие/common.vbs 1.5:
		[-] при выборе файла используется переданный фильтр файлов;
		[*] имя скрипта.

	* Скрипты/Примеры/telepat.vbs 1.5:
		[*] имя скрипта;
		[+] авторство

2004-10-20	artbear
	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.3:
		[+] использует класс позиции документа из common.vbs
		[*] макрос SelectAll теперь называется CopyTextToClipboard

	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.5:
		[+] макрос для запуска 1С не в монопольном режиме для текущего пользователя
		[-] убрал сообщение о неудаче проверки командной строки;
		[*] макрос Test теперь называется OpenExternalFileFromCommandLine

	* Скрипты/Примеры/TurboMD.vbs 1.4:
		[-] убрал надоедливое сообщение

	* Скрипты/РаботаСФормами/Создать кнопку на форме.vbs 1.3:
		[*] при создании произвольной кнопки в формулу добавляются скобки, если 
		пользователь забыл их ввести

	* Скрипты/Разное/Меню макросов из файла.vbs 1.4:
		[+] теперь в список попадают все скрипты независимо от порядка их загрузки;
		[+] макрос ShowStructuredMenuOfMacros для показа произвольного меню

	* Скрипты/Примеры/telepat.vbs 1.4:
		[*] Установка удобных параметров Телепата при входе в Конфигуратор

	* Скрипты/ВерсионныйКонтроль/Сравнить модуль.vbs 1.1:
	* Скрипты/Конструкторы/Конструкторы ТЗ.vbs 1.1:
	* Скрипты/Конструкторы/Конструкторы бухитогов.vbs 1.1:
	* Скрипты/Конструкторы/Конструкторы документов.vbs 1.1:
	* Скрипты/Конструкторы/Конструкторы операций.vbs 1.1:
	* Скрипты/Конструкторы/Конструкторы предопределенных процедур.vbs 1.1:
	* Скрипты/Конструкторы/Конструкторы справочников.vbs 1.1:
	* Скрипты/Навигация/navigator.js 1.1:
	* Скрипты/Общие/Шорткаты.vbs 1.1:
	* Скрипты/Примеры/1cv7srct.st 1.1:
	* Скрипты/РаботаСФормами/Конструкторы Элементов диалога.vbs 1.1:
	* Скрипты/Разное/Разработка скриптов.vbs 1.1:
	* Скрипты/Разное/ЧисткаPRMпосле сохранения.vbs 1.1:
		[+] Исходная версия

	* Скрипты/Общие/common.vbs 1.4:
		[-] сообщение об ошибке выводится красным цветом
		[+] новые методы
		  RunCommandAndWait,
		  CallMacros,
		  GetScriptIndexByName,
		  SelectFileForRead,
		  GetDocumentPosition;
		[+] класс TDocumentPosition для работы с позицией документа

2004-10-01	artbear
	* Скрипты/Общие/common.vbs 1.3:
		[+] Новая процедура SendCommand

	* Скрипты/Примеры/TurboMD.vbs 1.3:
		[+] Новый макрос в момент сохранения md переименовывает turboMD.prm в bak

	* Скрипты/Редактирование/Копировать модуль в буфер обмена.vbs 1.1:
		[+] Исходная версия

2004-09-30	artbear
	* Скрипты/Навигация/Переходы по модулю.vbs 1.2:
		[*] работает только в окне модуля (текста)

	* Скрипты/Разное/Меню макросов из файла.vbs 1.2:
		[+] группы макросов в меню + разделители;
		[*] скрипт обрабатывает выбор только из своего меню;
		[*] из меню можно вызывать макросы этого скрипта;
		[-] лишняя инициализация.

	* Скрипты/Общие/common.vbs 1.2:
		[+] методы Error, GetTextDocIfOpened, MacrosExists;
		[*] более надежная работа с ошибками выполнения

	* Скрипты/Примеры/telepat.vbs 1.3:
		[+] к версии Телепата 1.0.1.6
		-  меню, шаблоны

	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.3:
		[-] лишняя инициализация

	* Скрипты/Разное/Меню макросов из файла.vbs 1.3:
		[+] в меню будут показаны только существующие макросы из списка макросов.

	* Скрипты/Примеры/ScriptTests.vbs 1.1:
	* Скрипты/Редактирование/RTrimModule.vbs 1.1:
		[+] Исходная версия

	* Скрипты/ВерсионныйКонтроль/gcomp.vbs 1.3:
		[*] устанавливается существующий путь к gcomp

	* Скрипты/Разное/Меню всех макросов.vbs 1.2:
		[*] скрипт обрабатывает выбор только из своего меню;
		[-] лишняя инициализация.

2004-09-29	artbear
	* Скрипты/ВерсионныйКонтроль/gcomp.vbs 1.2:
		[*] не жду окончания работы WinCVS;
		[*] запуск GComp c наиболее точными параметрами;
		[*] инициализация плагина не только при загрузке Конфигуратора,
		но и при загрузке скрипта вручную.

	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.2:
		[*] мой рефакторинг

	* Скрипты/Примеры/telepat.vbs 1.2:
		[+] к версии Телепата 1.0.1.6
		-  меню, шаблоны

	* Скрипты/MD_Tasks/MD to Archiv.vbs 1.2:
		[*] более удобное изменение настроек;
		[+] можно запускать выгрузку с показом отладочных сообщений;

	* Скрипты/РаботаСФормами/Создать кнопку на форме.vbs 1.2:
		[-] Баг с вылетом конфигуратора (из-за Doc.LoadFromFile);
		[+] можно добавить произвольную кнопку с произвольной формулой;
		[*] Слегка увеличил размеры кнопки;

	* Скрипты/ВерсионныйКонтроль/extforms.vbs 1.1:
	* Скрипты/Навигация/Открыть файл из директивы ЗагрузитьИзФайла.vbs 1.1:
	* Скрипты/Навигация/Переходы по модулю.vbs 1.1:
	* Скрипты/Общие/common.vbs 1.1:
	* Скрипты/РаботаСФормами/Создать процедуру и кнопку на форме.vbs 1.1:
	* Скрипты/Разное/ExtForms Explorer.vbs 1.1:
	* Скрипты/Разное/wizard1cpp.vbs 1.1:
	* Скрипты/Разное/Меню всех макросов.vbs 1.1:
	* Скрипты/Разное/Меню макросов из файла.vbs 1.1:
	* Скрипты/Редактирование/Форматирование текста.vbs 1.1:
		[+] Исходная версия

2004-09-09	artbear
	* Скрипты/Примеры/sample.vbs 1.2:
		[+] Новые тестовые проверки

	* Скрипты/MD_Tasks/Descript.ion 1.1:
	* Скрипты/ВерсионныйКонтроль/gcomp.vbs 1.1:
	* Скрипты/Конструкторы/Таблица значений.vbs 1.1:
	* Скрипты/Примеры/agent.vbs 1.1:
	* Скрипты/Примеры/telepat.vbs 1.1:
	* Скрипты/РаботаСФормами/Создать кнопку на форме.vbs 1.1:
	* Скрипты/Разное/1C++.vbs 1.1:
		[+] Исходная версия

2004-04-08	artbear
	* Скрипты/MD_Tasks/MD to Archiv.vbs 1.1:
		Исходная версия
		Выгрузка файла конфигурации в архив на сменном носителе

	* Скрипты/MD_Tasks/autoload.vbs 1.2:
		- убран мое добавление для верной отработки событий,
		потому как теперь события после выгрузки скрипта не работают

	* Скрипты/Общие/Закрыть окно сообщений.vbs 1.1:
		Исходная версия

2004-04-06	artbear
	* Скрипты/Разное/TurboMD_Artur.vbs 1.1:
		+ формирование TurboMd.prm
		+ очистка TurboMd.prm от ссылок на модуль
		+ загрузка внешних файлов в конфигурацию
		+ сохранение конфигурации в файл 1v7new.md

	* Скрипты/Примеры/TurboMD.vbs 1.2:
		+ формирование TurboMd.prm
		+ очистка TurboMd.prm от данных модуля

2004-03-27	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.4:
		+ можно открывать несколько файлов одновременно,
		т.е. использовать ключ /Open: несколько раз.

	* ВспомогательныеДанные/Работа с командной строкой/RunParseCmdLine.vbs 1.1:
		исходная версия

	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.3:
		+ файл открывается с версии OpenConf 1.0.0.5;
		+ файл обработки командной строки находится в каталоге "Config\CmdLine";
		- баг с запуском этого файла, если у него длинный путь в кавычках;
		- выкинул все лишние;
		+ синтаксические изменения.

	* ВспомогательныеДанные/Работа с командной строкой/RunParseCmdLine.vbs 1.2:
		- выкинул все лишние;
		+ синтаксические изменения.

	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.2:
		- убрал все попытки открыть ert-файл при запуске Конфигуратора

2004-03-26	artbear
	* Скрипты/Разное/ParseCmdLineInConfig.vbs 1.1:
		Запуск ert-файла в Конфигураторе из командной строки
		Исходная версия

2004-03-06	artbear
	* Скрипты/Примеры/Sample1.vbs 1.1:
		Исходное
		+ примерный скрипт к "OpenConf" beta 2

